Mailinglist Archive: opensuse-factory (269 mails)

< Previous Next >
[opensuse-factory] Leap 15.2 Build 494.3 released!
  • From: Ludwig Nussel <ludwig.nussel@xxxxxxx>
  • Date: Mon, 16 Sep 2019 17:04:33 +0000
  • Message-id: <156865347357.24501.2385397832371971382@go-agent-stagingbot-1>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&version=15.2&build=494.3&groupid=50
https://bugzilla.opensuse.org/buglist.cgi?product=openSUSE%20Distribution&query_format=advanced&resolution=---&version=Leap%2015.2

When you reply to discuss some issues, make sure to change the subject.
Please use the test plan at
https://docs.google.com/spreadsheets/d/1AGKijKpKiJCB616-bHVoNQuhWHpQLHPWCb3m1p6gXPc/edit#gid=94909276
to record your testing efforts and use bugzilla to report bugs.

Packages changed:
SDL_image (1.2.12 -> 1.2.12+hg695)
apache2 (2.4.33 -> 2.4.41)
autoyast2 (4.2.7 -> 4.2.8)
ca-certificates-mozilla (2.30 -> 2.34)
ceph (14.2.2.348+gf6da3d1d18 -> 14.2.2.349+g6716a1e448)
chromium (76.0.3809.100 -> 76.0.3809.132)
gcc9 (8.2.1+r264010 -> 9.2.1+r274709)
gjs
gnuhealth-client
gzip (1.9 -> 1.10)
kernel-source (5.3.rc5 -> 5.3.rc7)
kompare
libimobiledevice
libreoffice (6.1.3.2 -> 6.2.5.2)
libstorage-ng (4.1.139 -> 4.2.3)
libwps (0.4.9 -> 0.4.10)
multipath-tools (0.7.9+164+suse.e41fbd9 -> 0.8.2+18.9ff73e7)
open-iscsi
parted
patterns-yast (20190409 -> 20190411)
pinentry
plasma5-pk-updates
postfix
python-SQLAlchemy
rsyslog
sddm
shadow
strace (4.20 -> 5.2)
tmux (2.9 -> 2.9a)
trytond (4.6.13 -> 4.6.17)
trytond_account (4.6.9 -> 4.6.10)
trytond_stock (4.6.4 -> 4.6.7)
util-linux
util-linux-systemd
yast2 (4.2.18 -> 4.2.20)
yast2-add-on (4.2.4 -> 4.2.6)
yast2-alternatives (4.2.1 -> 4.2.2)
yast2-bootloader (4.2.9 -> 4.2.10)
yast2-firewall (4.2.1 -> 4.2.2)
yast2-firstboot (4.2.1 -> 4.2.2)
yast2-hardware-detection (4.1.0 -> 4.1.1)
yast2-installation (4.2.11 -> 4.2.12)
yast2-journal (4.1.5 -> 4.2.2)
yast2-kdump (4.2.2 -> 4.2.4)
yast2-mail (4.2.1 -> 4.2.2)
yast2-nfs-client (4.2.0 -> 4.2.2)
yast2-nfs-server (4.2.0 -> 4.2.1)
yast2-nis-client (4.2.0 -> 4.2.1)
yast2-ntp-client (4.2.2 -> 4.2.3)
yast2-online-update (4.2.1 -> 4.2.2)
yast2-packager (4.2.23 -> 4.2.24)
yast2-ruby-bindings (4.2.1 -> 4.2.2)
yast2-schema (4.2.1 -> 4.2.2)
yast2-services-manager (4.2.3 -> 4.2.4)
yast2-slp (4.1.0 -> 4.1.1)
yast2-sound (4.2.1 -> 4.2.2)
yast2-storage-ng (4.2.35 -> 4.2.36)
yast2-sysconfig (4.2.0 -> 4.2.1)
yast2-update (4.2.4 -> 4.2.5)
yast2-users (4.2.4 -> 4.2.5)

=== Details ===

==== SDL_image ====
Version update (1.2.12 -> 1.2.12+hg695)

- Update to new snapshot 1.2.12+hg695
* Fixed TALOS-2019-0821 CVE-2019-5052
* Fixed TALOS-2019-0841 CVE-2019-5057 boo#1143763
* Fixed TALOS-2019-0842 CVE-2019-5058 boo#1143764
* Fixed TALOS-2019-0843 CVE-2019-5059 boo#1143766
* Fixed TALOS-2019-0844 CVE-2019-5060 boo#1143768
* Fixed CVE-2019-7635
* Fixed CVE-2019-13616 boo#1141844
- Drop CVE-2019-13616.patch (merged)
- Add CVE-2019-13616.patch: fix heap buffer overflow when reading
a crafted bmp file (boo#1141844 CVE-2019-13616).

==== apache2 ====
Version update (2.4.33 -> 2.4.41)
Subpackages: apache2-doc apache2-example-pages apache2-prefork apache2-utils

- added to SLE-15-SP2 [bsc#1149608]
- Remove redundant metadata from summary.
- version update to 2.4.41 with security fixes:
* low: Limited cross-site scripting in mod_proxy
error page (CVE-2019-10092)
* low: mod_rewrite potential open redirect (CVE-2019-10098)
* moderate: mod_http2, read-after-free in h2
connection shutdown (CVE-2019-10082)
* moderate: mod_http2, memory corruption on
early pushes (CVE-2019-10081)
* moderate: mod_http2, DoS attack by exhausting
h2 workers. (CVE-2019-9517)
* moderate: mod_remoteip: Stack buffer overflow and
NULL pointer dereference (CVE-2019-10097)
- fix typo
- modified sources
% apache2-README-instances.txt

==== autoyast2 ====
Version update (4.2.7 -> 4.2.8)
Subpackages: autoyast2-installation

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.8

==== ca-certificates-mozilla ====
Version update (2.30 -> 2.34)

- update to 2.34 state of the Mozilla NSS Certificate store (bsc#1144169)
- Removed CAs:
- Certinomis - Root CA
- includes added root CAs from the 2.32 version:
- emSign ECC Root CA - C3 (email and server auth)
- emSign ECC Root CA - G3 (email and server auth)
- emSign Root CA - C1 (email and server auth)
- emSign Root CA - G1 (email and server auth)
- Hongkong Post Root CA 3 (server auth)

==== ceph ====
Version update (14.2.2.348+gf6da3d1d18 -> 14.2.2.349+g6716a1e448)
Subpackages: librados2 librbd1

- Update to 14.2.2.349+g6716a1e448
+ rgw: fix for CVE-2019-10222/bsc#1145093 for the beast frontend

==== chromium ====
Version update (76.0.3809.100 -> 76.0.3809.132)

- Update to 76.0.3809.132 bsc#1149143 CVE-2019-5869:
* CVE-2019-5869: Use-after-free in Blink
* Various fixes from internal audits, fuzzing and other initiatives
- Refresh patch chromium-76-gcc-ambiguous-nodestructor.patch
- Added patch chromium-vaapi-fix.patch to fix boo#1146219

==== gcc9 ====
Version update (8.2.1+r264010 -> 9.2.1+r274709)
Subpackages: libgcc_s1 libgcc_s1-32bit libgomp1 libquadmath0 libstdc++6
libstdc++6-32bit

- Update gcc9-add-flto=auto.patch by adding backport
of upstream revision r274849.
- Update to gcc-9-branch head (r274709).
- Add gcc9-pr91307.patch to make symbols for aggregated global
constructor names stable when using LTO.
- Update to gcc-9-branch head (r274311).
* Includes GCC 9.2 release. [jsc#SLE-6536, jsc#SLE-6533]
- Update nvptx-newlib.tar.xz to official newlib-3.1.0.tar.xz
since nvptx support is now upstream.
- Add gcc9-add-flto=auto.patch in order to support -flto=auto.
- Enable cross compilers on riscv64
- Update to gcc-9-branch head (r274111).
* GCC 9.2 RC1.
- Remove bogus fixed include bits/statx.h from glibc 2.30. [gcc#91085]
- Update to gcc-9-branch head (r273795):
* Includes fix for LTO linker plugin heap overflow.
(bsc#1142649, CVE-2019-14250)
- Add systemtap-headers BuildRequires. [bsc#1142654]
- Update to gcc-9-branch head (r273734).
* Includes fix for opencv3 build with LTO. [gcc#91231]
- Update to gcc-9-branch head (r273566).
* Includes fix for vector shift miscompilation on s390. [bsc#1141897]
- Update to gcc-9-branch head (r273003).
- Fix default for ringdisabled: bcond_with means 'conditionally
with': so only do so if explicitly specified.
- Do not build cross-* variants in stagings/rings.
- Add gcc9-value-prof.patch in order to provide more stable builds
for single value counters.
- Update to gcc-9-branch head (r272147).
* Pulls fix for random debug info differences when compiling D code.
[gcc#90778]
- Update to gcc-9-branch head (r271995).
* installs workaround for broken lapack C interfaces
- Drop gcc9-spectrev1.patch, add gcc9-reproducible-builds.patch
and gcc9-reproducible-builds-buildid-for-checksum.patch moving
reproducible build improvements over from GCC 8 package.
- Split out libstdc++ pretty-printers into a separate package
supplementing gdb and the installed runtime. [bsc#1135254]
- Update to gcc-9-branch head (r271643).
- Update to gcc-9-branch head (r271393).
- Always use ISL for crosses like for native compilers.
- Update to gcc-9-branch head (r271050).
- Strip -flto from $optflags as we use LTO bootstrap config.
- Update to GCC 9.1.0 release.
- Update to gcc-9-branch head (r270796).
- Enable D for s390x.
- Enable D for aarch64 and riscv64
- Update to gcc-9-branch head (r270689).
* GCC 9.1 RC2.
- Update to gcc-9-branch head (r270591).
- Update to SVN trunk head (r270403).
- Use --enable-link-mutex for LTO builds to limit peak memory use.
- Omit libbacktrace .log files from gcc-testresults package to
fix build.
- Update to SVN trunk head (r270275).
* Includes gcc9-pgo-lto-bootstrap.patch.
- Update to SVN trunk head (r270202).
- Add gcc9-pgo-lto-bootstrap.patch in order to
enable LTO on platforms where we use PGO (except i386).
- Limit LTO to new openSUSE.
- Increase constraints for targets that use LTO bootstrap.
- Do not use PGO and LTO in gcc9-testresults package.
- Define 'build_d' in cross.spec.in in order to repair cross package
builds.
- Update to SVN trunk head (r270012).
- Update to SVN trunk head (r269761).
- Change URLs to use https.
- Update to SVN trunk head (r269411).
- Update to SVN trunk head (r269212).
- Update to SVN trunk head (r269114).
- Update to SVN trunk head (r268979).
- Update to SVN trunk head (r268509).
- Update to SVN trunk head (r268388).
- Update to SVN trunk head (r268137).
- Update to SVN trunk head (r268110).
- Bump libgo SONAME.
- Update to SVN trunk head (r267930).
- Update gcc44-rename-info-files.patch to adjust gnat manual
entries in the info directory. [bnc#1114592]
- Package up new ISO_Fortran_binding.h.
- Update to SVN trunk head (r267512).
- Update to SVN trunk head (r267227).
- Add gcc9-spectrev1.patch (temporarily).
- Update to SVN trunk head (r266777).
- Update to SVN trunk head (r266308).
- Update to SVN trunk head (r266100).
- Enable Ada for riscv64.
- Update to SVN trunk head (r265868).
- Disable D for all but x86_64, ix86 and arm.
- Update to SVN trunk head (r265791).
* Includes gcc5-no-return-gcc43-workaround.patch.
- Enable libphobos build if D is to be built.
- Update to SVN trunk head (r265745).
* Refresh gcc44-rename-info-files.patch.
- Update to SVN trunk head (r265655).
* Adds D language frontend and packages. Update
gcc44-rename-info-files.patch for that.
- Update to SVN trunk head (r265522).
- New package, inherits from gcc8
* gcc-add-defaultsspec.diff, add the ability to provide a specs
file that is read by default
* tls-no-direct.diff, avoid direct %fs references on x86 to not
slow down Xen
* gcc43-no-unwind-tables.diff, do not produce unwind tables for
CRT files
* gcc41-ppc32-retaddr.patch, fix expansion of __builtin_return_addr
for ppc, just a testcase
* gcc44-textdomain.patch, make translation files version specific
and adjust textdomain to find them
* gcc44-rename-info-files.patch, fix cross-references in info files
when renaming them to be version specific
* gcc48-libstdc++-api-reference.patch, fix link in the installed
libstdc++ html documentation
* gcc48-remove-mpfr-2.4.0-requirement.patch, make GCC work with
earlier mpfr versions on old products
* gcc5-no-return-gcc43-workaround.patch, make build work with
host gcc 4.3
* gcc7-remove-Wexpansion-to-defined-from-Wextra.patch, removes
new warning from -Wextra
* gcc7-avoid-fixinc-error.diff
- Drops
* libffi-riscv.patch
* riscv-builtin-eh-return.patch

==== gjs ====
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Add gjs-aggressive-gc.patch (bsc#1093541). This ensures the GC
runs repeatedly until there are no more objects to be destroyed.
- Add gjs-disable-destroyed-object-criticals.patch: We have a bunch of
corruption right now spamming the log. This commit gets rid of the
spam unless G_MESSAGES_DEBUG is set (glgo#GNOME/gjs!71, boo#1117221).

==== gnuhealth-client ====

- plugin_frl updated to version 3.4.1

==== gzip ====
Version update (1.9 -> 1.10)

- refresh gzip-1.10-ibm_dfltcc_support.patch to fix three data
corruption issues [bsc#1145276] [jsc#SLE-5818] [jsc#SLE-8914]
- add gzip-1.10-ibm_dfltcc_support.patch [jsc#SLE-5818] [jsc#SLE-8914]
* it adds support for DFLTCC (hardware-accelerated deflation)
for s390x arch
* enable it via "--enable-dfltcc" option
- gzip 1.10:
* Compressed gzip output no longer contains the current time as
a timestamp when the input is not a regular file. Instead, the
output contains a null (zero) timestamp. This makes gzip's
behavior more reproducible when used as part of a pipeline.
* A use of uninitialized memory on some malformed inputs has been
fixed.
* A few theoretical race conditions in signal handers have been
fixed.
- drop upstreamed patches:
* gnulib-libio.patch
* gzip-1.8-deprecate_netstat.patch
- gnulib-libio.patch: Update gnulib for libio.h removal

==== kernel-source ====
Version update (5.3.rc5 -> 5.3.rc7)
Subpackages: kernel-default kernel-vanilla

- config: enable STACKPROTECTOR_STRONG (jsc#SLE-9120 bsc#1130365)
Enable CONFIG_STACKPROTECTOR_STRONG on all architectures except s390x
(where the feature is not available). This extends the number of functions
which are protected by "stack canary" check to catch functions writing past
their stack frame.
This change was requested by SUSE security to make our kernels more
resistant to some types of stack overflow attacks. Tests performed by
kernel performance teams confirmed that performance impact is acceptable.
- commit 4c43fab
- Refresh
patches.suse/0001-NFS-flush-out-dirty-data-on-file-fput.patch.
- Refresh
patches.suse/0001-NFSv4-don-t-let-hanging-mounts-block-other-mounts.patch.
- NFS: Allow multiple connections to NFSv4.0 servers
(fate#322786).
- Refresh patches.suse/nfs-set-acl-perm.patch.
- Delete
patches.suse/0001-NFSv4-handle-EINVAL-from-EXCHANGE_ID-better.patch.
- Delete
patches.suse/0001-SUNRPC-Allow-creation-of-RPC-clients-with-multiple-c.patch.
- Delete
patches.suse/0001-sunrpc-include-sup-groups-in-hash.patch.
- Delete
patches.suse/0002-NFS-Add-a-mount-option-to-specify-number-of-TCP-conn.patch.
- Delete
patches.suse/0003-NFSv4-Allow-multiple-connections-to-NFSv4.x-x-0-serv.patch.
- Delete
patches.suse/0004-pNFS-Allow-multiple-connections-to-the-DS.patch.
- Delete
patches.suse/0005-NFS-Display-the-nconnect-mount-option-if-it-is-set.patch.
- Delete
patches.suse/0007-SUNRPC-Mask-XIDs-to-prevent-replay-cache-collision.patch.
- Delete patches.suse/NFS-optional-NFSv4_2-fix.patch.
- Delete patches.suse/NFS-optional-NFSv4_2.patch.
- Delete patches.suse/d-lookup-fairness.fix.
- Delete
patches.suse/getcwd-close-race-with-d_move-called-by-lustre.patch.
- Delete
patches.suse/sunrpc-cache-handle-missing-listeners-better.patch.
- Delete
patches.suse/vfs-use-synchronize_rcu_expedited-in-namespace_unlock.patch.
- commit 4685373
- Update to 5.3-rc7
- Refresh configs
- IXP4xx SoC drivers not visible
- gcc 9.2.1
- commit 9bff5f9
- config: armv7hl: Enable cadence watchdog
CONFIG_CADENCE_WATCHDOG is required for Zynq-7000 based MIYR Zturn board.
- commit 64fda45
- config: enable armv7hl
Import armv7hl configs from master branch, update them for Leap 15.2 and
enable in config.conf.
- commit f85f2d7
- Delete patches.suse/nvdimm-testing-provide-SZ_4G.patch.
The patch was SLE15{,-SP1} specific to provide a constant already
contained in kernel 5.3.
- commit 4ea3f92
- config.conf: Reenable ARMv7 config for Kernel 5.3
All modules plus errata's enabled. Reused other
values from x86_64 update.
- commit b1c627e
- Add "drm/ttm: Remove warning about inconsistent mapping information"
This patch removes a warning that causes bug reports unnecessarily.
- commit 4a7bc21
- Add "Reserve 64MiB of CMA for RPi3's VC4"
Taking this patch from SLE15-SP1 with updates for v5.3. Enables display
when booting RPi3 installer.
- commit 9fab830
- Remove "drm/msm: fix address space warning"
The respective code was removed in v4.20.
- commit 3d7e3d1
- Refresh
patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
Add more placeholders to device.h. In particular, to structs bus_type,
device_driver, class, and device.
- commit c4220a5
- scsi: cxlflash: Mark expected switch fall-throughs
(bsc#1148868).
- commit ea514bf
- mwifiex: Fix three heap overflow at
parsing element in cfg80211_ap_settings

(CVE-2019-14814,bsc#1146512,CVE-2019-14815,bsc#1146514,CVE-2019-14816,bsc#1146516).
- commit 528fd68
- supported.conf: drop obsolete entries
Drop supported.conf entries not matching any module built on any
supported architecture. This commit mostly drops entries for modules
built in master branch but not SLE15-SP2. Moved and no longer existing
modules were handled in previous commits in master branch.
- commit 97fd102
- supported.conf: mark more core networking modules supported
Two more netfilter modules and one more *_diag should be supported too.
- commit bee2dd8
- supported.conf: update status of some networking core modules
This marks new networking modules which should be supported as such; it is
mostly netfilter and traffic control modules which have been following the
"support all of them" policy for some time.
- commit 65e1131
- supported.conf: obsolete paths cleanup
Update paths for existing modules which were moved, clean up duplicate
entries and drop entries for modules which no longer exist (either not
built any more or built into the image now).
- commit 3bb142a
- powerpc/64s: support nospectre_v2 cmdline option (bsc#1131107).
- commit 9cef94b
- series.conf: add section for SUSE kabi padding patches
Leave "kABI consistency patches" only for patches.kabi/*
- commit 81c3a75
- series.conf: move unguarded patches from review section
- commit 6de2b58
- rpm: raise required disk space for binary packages
Current disk space constraints (10 GB on s390x, 25 GB on other
architectures) no longer suffice for 5.3 kernel builds. The statistics
show ~30 GB of disk consumption on x86_64 and ~11 GB on s390x so raise
the constraints to 35 GB in general and 14 GB on s390x.
- commit 527cb66
- enable and refresh
patches.suse/memcg-deprecate-memory.force_empty-knob.patch.
- enable patches.suse/mm-inform-about-enabling-mirrored-memory.patch
both patches are minimal and still useful to identify future
supportability problems.
- commit 93500e8
- Refresh and enable valid patches from SLE15-SP1:
- Refresh patches.suse/ext4-dont-warn-when-enabling-DAX.patch.
- Refresh patches.suse/ext4-unsupported-features.patch.
- Refresh patches.suse/unsupported-features.patch.
- commit 9ef1a75
- Remove patches obsoleted by upstream changes:
- Delete
patches.suse/arch-powerpc-dax-Add-MAP_SYNC-mmap-flag.patch.
- Delete
patches.suse/block-Don-t-revalidate-bdev-of-hidden-gendisk.patch.
- Delete patches.suse/fs-speedup-clean-bdev-aliases.patch.
- Delete

patches.suse/mm-migrate-Fix-reference-check-race-between-__find_get_block-and-migration.patch.
- Delete patches.suse/powerpc-Add-pmem.h.patch.
- commit 21008fb
- Refresh patches.suse/qlge-Deduplicate-lbq_buf_size.patch.
- Refresh
patches.suse/qlge-Deduplicate-rx-buffer-queue-management.patch.
- Refresh patches.suse/qlge-Remove-bq_desc.maplen.patch.
- Refresh
patches.suse/qlge-Remove-useless-dma-synchronization-calls.patch.
Reenable qlge patch series for bsc#1106061
- commit b2971c6
- sched: Further improve spurious CPU_IDLE active migrations
(bnc# 986383).
- Update

patches.suse/cpufreq-ondemand-set-default-up_threshold-to-30-on-multi-core-systems.patch
(bnc#464461,bnc#981838,bnc#1064414,bnc#1144943).
- Refresh

patches.suse/mm-Warn-users-of-node-memory-hot-remove-if-the-memory-ratio-is-a-high-risk.patch.
- Update

patches.suse/sched-Fix-up-proc-sched_debug-to-print-only-runnable-tasks-again.patch
(none, should be posted upstream).
- Update
patches.suse/sched-fair-Enable-SIS_AVG_CPU-by-default.patch
(bsc#1061593,bsc#1148030).
- Refresh
patches.suse/sched-topology-Improve-load-balancing-on-AMD-EPYC.patch.
- Delete
patches.suse/0001-Revert-mm-vmacache-optimize-overflow-system-wide-flu.patch.
- Delete
patches.suse/0001-sched-wake_q-Reduce-reference-counting-for-special-u.patch.
- Delete

patches.suse/cpufreq-intel_pstate-Ramp-up-frequency-faster-when-utilisation-reaches-setpoint.patch.
- Delete

patches.suse/cpufreq-intel_pstate-Temporarily-boost-P-state-when-exiting-from-idle.patch.
- Delete

patches.suse/cpufreq-intel_pstate-Update-setpoint-for-unspecified-ACPI-profile.patch.
- Delete

patches.suse/cpufreq-intel_pstate-Use-load-based-policy-by-default-but-allow-PID-to-be-used.patch.
- Delete
patches.suse/mm-Adjust-watermark-boost-factor-tunable.patch.
- Delete

patches.suse/mm-migrate-Fix-reference-check-race-between-__find_get_block-and-migration.patch.
- Delete
patches.suse/mm-page_alloc.c-use-a-single-function-to-free-page.patch.
- commit 9de058d
- usb: Introduce Xen pvUSB frontend (xen hcd) (fate#315712).
- Update config files.
- usb: Add Xen pvUSB protocol description (fate#315712).
- commit b32b2bd
- Delete
patches.suse/mm-sparse-do-not-swamp-log-with-huge-vmemmap-allocat-fix.patch.
not applicable as explained in the patch description.
- commit fbed5c2
- Delete
patches.suse/mm-__init_single_page-do-not-zero-core-struct-pages.patch.
Not applicable because it was a fallout of a partial backport as noted
in the changelog.
- commit 1e8b220
- Delete
patches.suse/0001-memory_hotplug-add-missing-newlines-to-debugging-out.patch.
merged as 1ecc07fd0a6d350bbf4dc176e0d654661b304a30 in 5.0
- commit 5aa2923
- Delete
patches.suse/0001-x86-speculation-Prepare-entry-code-for-Spectre-v1-sw.patch.
- Delete
patches.suse/0002-x86-speculation-Enable-Spectre-v1-swapgs-mitigations.patch.
- Delete

patches.suse/x86-speculation-swapgs-exclude-ATOMs-from-speculating-through-SWAPGS.patch.
swapgs fixes have been merged in 5.3-rc3.
- commit 24d8d43
- Delete
patches.suse/0049-commit-833689044e13a3fb8c6c03ad868375670d97010b.patch.
No longer needed in SP2
- commit 13a1350
- Refresh
patches.suse/0002-Add-a-void-suse_kabi_padding-placeholder-to-some-USB.patch.
Shifted kABI placeholders back where they belong
- commit 2d913e0
- Update reference for ath6kl fix (CVE-2019-15290,bsc#1146543).
- commit b08d3d5
- Fix a NULL-ptr-deref bug in ath6kl_usb_alloc_urb_from_pipe
(CVE-2019-15098,bsc#1146378).
- Fix a NULL-ptr-deref bug in ath10k_usb_alloc_urb_from_pipe
(CVE-2019-15099,bsc#1146368).
- commit 758e216
- Delete patches.suse/tty-make-R3964-line-discipline-fail.patch.
We no longer build (and support) R3964.
- commit 85b2e98
- Delete
patches.suse/mlxsw-spectrum-Forbid-linking-to-devices-fix.patch.
This was a fix for a bad commit in 4.12.* stable.
- commit e8f9b29
- Refresh
patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
Enable it and add one more placeholder to mm_context_t.
- commit 00e7e80
- Delete
patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- Delete
patches.suse/0002-x86-speculation-Add-inlines-to-control-Indirect-Bran.patch.
- Delete
patches.suse/0003-x86-idle-Control-Indirect-Branch-Speculation-in-idle.patch.
- Delete
patches.suse/0004-x86-enter-Create-macros-to-restrict-unrestrict-Indir.patch.
- Delete
patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch.
- Delete patches.suse/IBRS-forbid-shooting-in-foot.patch.
- Delete patches.suse/do-not-default-to-ibrs-on-skl.patch.
Drop IBRS as we disabled it later anyway.
- commit c03b8fa
- Fix a double free bug in rsi_91x_deinit (bnc#1147116
CVE-2019-15504).
- commit 8ae43d1
- Update to 5.3-rc6
- commit 2831011
- Delete
patches.suse/0001-module-warn-if-module-init-probe-takes-long.patch.
- commit f81e033
- Delete
patches.suse/xfs-add-option-to-mount-with-barrier-0-or-barrier-1.patch.
Since v4.10-rc1 xfs has deprecated all options that explicitly control
barriers with commit 4cf4573d899c ("xfs: deprecate barrier/nobarrier
mount option").
Drop backwards-compat patch for parsing the obsolete barrier=[0|1]
syntax of the option, since supporting this causes more confusion and
gives the false impression that disabling barriers is still a
possibility.
- commit 0ac0c38
- xfs: remove experimental tag for dax support (FATE#324503).
- commit f13a4a4
- Delete patches.suse/xfs-unsupported-features.patch.
Drop unsupported features patch which was marking reflink and rmap
as unsupported. The experimental tags were dropped for both features
and thus marked stable upstream on v4.16-rc1, with the two following
commits:
commit 1e369b0e199b ("xfs: remove experimental tag for reflinks")
commit 76883f7988e6 ("xfs: remove experimental tag for reverse mapping")
While we follow upstream here, SLE15.2 xfsprogs/mkfs.xfs will not be
switching on reflink/rmap by default for newly created filesystems.
Regarding dax, contrary to upstream we have been supporting it for a
while and removing the experimental tag, and we will continue doing so.
The related patch for DAX will be posted as a separate commit for
clarity.
- commit f84ab02

==== kompare ====
Subpackages: kompare-lang

- Add upstream patch to fix the "Compare" button not getting
enabled in the initial dialog when selecting files via the file
browser (boo#1146394, kde#390024):
* Fix-browse-for-files_folders-doesnt-enable-Compare-button.patch

==== libimobiledevice ====

- Add libimobiledevice-boo1103546-double-free.patch: avoid double
free with OpenSSL 1.1 (boo#1103546).

==== libreoffice ====
Version update (6.1.3.2 -> 6.2.5.2)
Subpackages: libreoffice-base libreoffice-branding-upstream libreoffice-calc
libreoffice-draw libreoffice-filters-optional libreoffice-gnome
libreoffice-gtk3 libreoffice-icon-themes libreoffice-impress
libreoffice-l10n-ar libreoffice-l10n-bg libreoffice-l10n-bs libreoffice-l10n-ca
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-en_GB libreoffice-l10n-eo
libreoffice-l10n-es libreoffice-l10n-et libreoffice-l10n-fa libreoffice-l10n-fi
libreoffice-l10n-fr libreoffice-l10n-hu libreoffice-l10n-id libreoffice-l10n-it
libreoffice-l10n-ja libreoffice-l10n-ko libreoffice-l10n-lt libreoffice-l10n-nb
libreoffice-l10n-nl libreoffice-l10n-pl libreoffice-l10n-pt_BR
libreoffice-l10n-ru libreoffice-l10n-sk libreoffice-l10n-sl libreoffice-l10n-sv
libreoffice-l10n-uk libreoffice-l10n-zh_CN libreoffice-l10n-zh_TW
libreoffice-mailmerge libreoffice-math libreoffice-pyuno libreoffice-qt5
libreoffice-writer libreofficekit

- Update to 6.2.5.2:
* Various bugfixes on the 6.2 branch
- Remove merged patches:
* bsc1124869.patch
* bsc1127760.patch
* bsc1121874.patch
* bsc1135228.patch
- Update to 6.2.4.2:
* Various feature fixes on the 6.2 branch
- If there is no firebird engine we still need java to run hsqldb
bsc#1135189
- LO-L3: PPTX: Rectangle turns from green to blue and loses transparency when
transparency is set
* bsc1135228.patch
- LO-L3: Slide deck compression doesn't, hmm, compress too much
* bsc1127760.patch
- LO-L3: Psychedelic graphics in LibreOffice (but not PowerPoint)
* bsc1124869.patch
- LO-L3: Image from PPTX shown in a square, not a circle
* bsc1121874.patch
- Strip lto from %_lto_cflags as the project has --enable-lto option
- Fake the epoch to make zip files reproducible
- Update to 6.2.3.2 fate#327121:
* Bugfix release 6.2.3
- Remove merged patches:
* old-boost.patch
* libreoffice-postgresql.patch
* 0001-Fix-LTO-segfault-in-libtest_sw_uwriter-test.patch
* boost_169.patch
* kde5.patch
* old-icu.patch
- Add patch to fix diff in generated helpfiles with rebuilds:
* 0001-Use-sort-on-finds-to-improve-deterministic-build.patch
- Update the old-icu.patch based on the upstream feedback
- old-boost.patch: update patch to fix build with Boost from SLE-12
- Update to 6.2.2.2:
* Few more tweaks over previous RC1
- Add patch to fix build with old icu from Leap 42:
* old-icu.patch
- Add patch to fix build on Leap 42:
* kde5.patch
- Update to 6.2.2.1 bsc#1128845:
* bundle of 6.2 series fixes
- Remove merged patches:
* 0001-Speed-up-languagepack-installation.patch
* kde5-32bit-build-fix.patch
- boost_169.patch: fix build with Boost 1.69
- Require firebird as default driver for base if enabled
- Add patch to fix bsc#1127857:
* 0001-Fix-LTO-segfault-in-libtest_sw_uwriter-test.patch
- libreoffice-postgresql.patch: pg_config is meant for linking
server extensions, clients should use pkg-config instead to build
against libpq. This fixes build with PostgreSQL 11.
- Switch to gcc7 on SLE12
- Update to 6.2.1.2:
* mostly just bundles update that we are not using
- Add patch to fix 32bit build:
* kde5-32bit-build-fix.patch
- Add patches speeding up install:
* 0001-Speed-up-languagepack-installation.patch
* libreoffice-no-destdircheck.patch
- Update to 6.2.1.1:
* Fixes focus issue wrt bsc#1123455
* More stability fixes
* Additional fixes for the KDE wrapper
- Remove merged patches:
* java112.patch
* kde5-detection.patch
* kde5-font-width.patch
* bsc1124658.patch
- Add patch to fix bsc#1124658:
* bsc1124658.patch
- Update to 6.1.5.2:
* 6.1.5 bugfix release
- Switch to full KDE stack for KDE Frameworks integration instead
of gtk3 KDE wrapper bsc#1123131
- Add patch to fix detection of KDE session on wayland:
* kde5-detection.patch
- Add patch to fix selection of condensed fonts instead of regular
ones:
* kde5-font-width.patch
- Add patch to build with java-11.2:
* java112.patch
- Version update to 6.2.0.3:
* 6.2.0 rc3 release
- Reduce disk constraints to 25G it should be enough
- Update to 6.2.0.2:
* 6.2.0 rc2 release
- Switch to the new web based help system bsc#1116451
- Remove upstreamed patches:
* libreoffice-java-sched.patch
* 0001-call-System.runFinalizersOnExit-by-reflection-since-.patch
* boost_1_69.patch
* libreoffice-poppler-0.72.patch
* bsc1112114.patch
- Enable new approach for mariadb connector again
- Version update to 6.1.5.1:
* 6.1.5 bugfix release rc1
- Drop merged patch:
* bsc1112113.patch
- [Bug 1112114] LO-L3: [PPTX] SmartArt: Basic rendering of the Organizational
Chart
* bsc1112114.patch
- Replace libreoffice-poppler-0.71.patch with
libreoffice-poppler-0.72.patch and apply it conditionally. Fix
build with poppler 0.72.
- [Bug 1112113] LO-L3: [PPTX] SmartArt: Basic rendering of Accent Process and
Continuous Block Process
* bsc1112113.patch
- Version update to 6.1.4.2 release:
* many various fixes and compatibility tweaks
- Remove merged patches:
* bsc1110348.patch
* bsc1112112.patch
* bsc1117300.patch
* bsc882383.patch
- Add libreoffice-poppler-0.71.patch: Fix build with poppler 0.71
- bsc#1117300 - [DATA LOSS] Saving a new document can silently
overwrite an existing document
* bsc1117300.patch
- boost_1_69.patch: Fix compilation with Boost 1.69
- Install also C++ libreofficekit headers bsc#1117195
- bsc#882383 - LO-L3: Chart in PPTX lacks color and is too large
* bsc882383.patch
- bsc#1112112 - LO-L3: [PPTX] SmartArt: Basic rendering of several list types
* bsc1112112.patch
- bsc#1110348 LO-L3: [PPTX] Charts having weird/darker/ugly background versus
Office 365 and strange artefacts where overlapping
* bsc1110348.patch
- Honorably mention all the now dropped patches from 6.0 series that
are merged by the 6.1 already and as such never entered TW:
* bnc1088262.patch
* bsc1088263.patch
* bsc1095601.patch
* bsc1095639.patch
* bsc1098891.patch
- Remove libreofficekit files that are not supposed to be
installed when the feature is disabled
- Update to 6.1.3.2:
* 6.1.3 Final
* In this release we have fixes for bsc#1079744 bsc#1088266
bsc#1095755 bsc#1110345 bsc#1107012
* bsc#1124062 CVE-2018-16858
- Use turkish spellcheck that is now provided by myspell-dictionaries
- Update to 6.1.3.1 fate#326624:
* 6.1.3 RC1
- Version update to 6.1.2.1:
* 6.1.2 RC1
- Switch to serf from neon package that is quite dead
- Remove sysstray configure option as the code was removed
- Update to 6.1.1.2:
* 6.1.1 RC2
- Version update to 6.1.1.1:
* RC1 of the 6.1.1 release
- Fix the bundled assuan version to be 2.5.1
- No longer run chrpath on bundled gnupg as it is not needed
- Rewrite description to reflect we ship also offline help
- Version update to 6.1.0.3:
* RC3 of 6.1.0 release
- bsc#1095639 LO-L3: Exporting to PPTX results in vertical labels being shown
horizontally
* bsc1095639.patch
- bsc#1098891 LO-L3: Table in PPTX misplaced and partly blue
* bsc1098891.patch
- bsc#1088263 LO-L3: Labels in chart change (from white and other colors) to
black when saving as PPTX
* bsc1088263.patch
- bsc#1095601 - LO-L3: Exporting to PPTX shifts arrow shapes quite a bit
* bsc1095601.patch
- Reenable firebird integration
- Add new language Kabyle
- Version update to 6.1.0.2:
* RC2 of the 6.1 series
- Added patch:
* 0001-call-System.runFinalizersOnExit-by-reflection-since-.patch
+ Call the System.runFinalizersOnExit method by reflection,
since it is removed in jdk11
- Version update to 6.1.0.1 release
- Fix ca_valencia myspell dictionary name
- bnc#1088262 LO-L3: Table borders appear black in LibreOffice (while white in
PowerPoint)
* bnc1088262.patch
- Expand disk constraints to not fail on arm64
- Enable display of commands in build logs
- Diable header-only Boost:System usage on older Leap
- old-boost.patch: Fix building with older Boost version
- Bumb disk space constraints. We need more than 32GB.
- Drop merged patch bnc1094359.patch
- Version bump to 6.0.5.2:
* Bunch of fixes from the upstream
- Try to implement safeguarding to avoid bsc#1050305
- Add more translations:
* Belarusian
* Bodo
* Dogri
* Frisian
* Gaelic
* Paraguayan_Guaraní
* Upper_Sorbian
* Konkani
* Kashmiri
* Luxembourgish
* Monglolian
* Manipuri
* Burnese
* Occitan
* Kinyarwanda
* Santali
* Sanskrit
* Sindhi
* Sidamo
* Tatar
* Uzbek
* Upper Sorbian
* Venetian
* Amharic
* Asturian
* Tibetian
* Bosnian
* English GB
* English ZA
* Indonesian
* Icelandic
* Georgian
* Khmer
* Lao
* Macedonian
* Nepali
* Oromo
* Albanian
* Tajik
* Uyghur
* Vietnamese
* Kurdish
- The kde integration now properly installed by upstream, no need
to do it in %install phase
- Try to build all languages see bsc#1096360
- Update to 6.1.0.0.beta2:
* Various buildfixes as found by our testing
- Reenable KDE integration on 32bit
- Drop merged patch libreoffice-libxmlsec.patch
- Make sure to install the KDE5/Qt5 UI/filepicker
- Conflict with gnome subpackage on the gtk2 subpkg as it was split
of from there bsc#1096673
- Update to 6.1.0.0.beta1:
* 6.1 series first beta, many fixes and features around
* Notably kde5_gtk3 integration, on by default now
- Remove merged patches:
* 0001-Use-PYTHON_FOR_BUILD-instead-of-calling-python-direc.patch
* libreoffice-icu61.patch
* kde5-configure-checks.patch
* bnc1060128.patch
* bnc1039203.patch
* bnc1094359.patch
- Disable firebird everywhere for now as it causes issues
- Try to implement safeguarding to avoid bsc#1050305
- Disable base-drivers-mysql as it needs mysqlcppcon that is only
for mysql and not mariadb, causes issues bsc#1094779
* Users can still connect using jdbc/odbc
- Fix java detection on machines with too many cpus
* libreoffice-java-sched.patch
- Remove galaxy icon theme replaced by colibri
- Add karasa jaga icon theme
- bnc#1094359 LO-L3: LO Writer: Text in boxes not visible
* bnc1094359.patch
- Add supplements for xfce4-session for libreoffice-gtk3 to install
that package when xfce is present (boo#1092699).
- Add condtional for Libreoffice Supplement in libreoffice-base, no
longer install libreoffice-base by default for future versions of
openSUSE.
- Extend the icu patch with more patches wrt bsc#1091772
* libreoffice-icu61.patch
- Bump to 6.0.4.2 bsc#1091606 CVE-2018-10583:
* 2 more fixes on top of 6.0.4.1
- Do not require update-desktop-files on 15+ bsc#1090737
- Remove aarch64 condition in _constraints
- Drop patch bnc1083525.patch merged upstream
- Fix build with new icu 61+ bsc#1091772
* libreoffice-icu61.patch
- Version update to 6.0.4.1:
* Another bugfix update containing >60 bugfixes
- LO-L3: DOCX import: missing table background color
* bnc1083525.patch
- Do not enable LTO on older codestreams, too old toolchain
- Provide and obsolete all the gtk3 disabled stuff if we disable
gtk3 to ease migration
- Drop patch libreoffice-lto-failtest.patch as the problem was with
memcpy in wrong phases, fixed by cflag -flifetime-dse=1
- Provide and obsolete also libreoffice-branding-SLE
- Use pkgconfig(libpg) instead of posgresql-devel dependency
- Bring back offline help per popular demand as lto saves space
we could use with it bsc#915996
- Update patch to not call python directly during help generating:
* 0001-Use-PYTHON_FOR_BUILD-instead-of-calling-python-direc.patch
- Use gpg keys to verify downloaded archives
- Add patch to disable test failing with LTO:
* libreoffice-lto-failtest.patch
- Switch to memory-constraints macros to limit threads as needed
- Enable LTO on libreoffice, 16% smaller binaries, less memory used
- Reduce the ifarch condition based on new exclusivearch
- Name directly dependencies that were accidentaly pulled by gtk3
before
- Conditionalize gtk3 build as it requires "newer" gnome than the
one we ship on SLE12 currently
- Update glib2 requirement to match what code actually uses
- Reduce archs to only those that are really capable of finishing
the build
- Update to 6.0.3.2 fate#324870:
* Final 6.0.3 tag for release
- Disable firebird engine on SLE for now
- Also drop boost_string_fixes.patch merged in upstream differently
- Version update to 6.0.3.1:
* Another bugfix release milestone
- Drop patch orcus-0.13.3.patch merged upstream
- Drop patch bnc955545.patch merged upstream
- Drop patch bnc1081079.patch merged upstream
- Require liberation-fonts instead of Recommends wrt bsc#1083213
* Basically we need ANY font, but liberation-fonts are the
Arial/etc. compatible and thus you can view the MS Word
documents
- Drop Build/Require on xorg-x11-fonts
- Require libreoffice-branding >= 6.0. Otherwise, an update of the libreoffice
package keeps the 5.0 branding (including the 5.0 splash screen),
which is not nice.
- Install gtk3 subpkg on mate desktop wrt bsc#1083993
- Remove upstreamed patches
* bnc1061210.patch
* bnc954772.patch
- Version update to 6.0.2.1 release:
* fixes bsc#1089706 CVE-2018-10120
* second bugfix release closing around 80 TDF issues
- LO-L3: Saving PPTX chart changes $12K to 12,345 format
* bnc1081079.patch
- LO-L3: Cutting object (Rectangle) in Navigator cuts the whole slide instead
* bnc955545.patch
- LO-L3: Wrong transition time
* bnc1039203.patch
- LO-L3: Slide with chart has some strange (too large?) elements (PPTX)
* bnc1060128.patch
- LO-L3: Table(s) from DOCX show wrong position/color/...?
* bnc1061210.patch
- LO-L3: Copy and Paste in Table ignores formatting completely
* bnc954772.patch
- Add patch to build properly with orcus-0.13.3:
* orcus-0.13.3.patch
- boost_string_fixes.patch: Boost in Leap 42.3 and SLE-12 is lacking
some functionality found in newer versions. Workaround the problem.
- Make sure we execute everything with python3
* 0001-Use-PYTHON_FOR_BUILD-instead-of-calling-python-direc.patch
- Bump version of bundled gpgme to 1.9.0
- Version update to 6.0.1.1:
* various fixes all around
* Fixes data exposure bsc#1080249 CVE-2018-1055 CVE-2018-6871
* Also fixes bsc#1089705 CVE-2018-10119
- Bump the version of libgpg-error
- Drop the libreoffice-poppler-0.62.patch merged upstream
- Version update to 5.4.5.1:
* Various fuzzying fixes/etc
* Fixes data exposure bsc#1080249 CVE-2018-1055
- Disable one more test that fails
- Do not depend on procps
- Version update to 6.0.0.3:
* RC3 phase of libreoffice 6.0.0 release
- Require xorg-x11-fonts otherwise nothing is shown
- Do not pull in liberation2-fonts wrt bsc#1077375#c5
- Disable 2 db tests that are really flaky in OBS
- Fix the lo-provides filtering to allow proper provides to be generated
- Version update to 6.0.0.2:
* More fixes in RC2 of 6.0.0 release
- Add requires on kdelibs4 to avoid crashes
- Add libreoffice-poppler-0.62.patch: Fix build with poppler 0.62,
where UTF8.h (explcitly marked as an experimental header) was
renamed to UnicodeMapFuncs.h.
- For now disable qt5 integration as it is utterly broken
* just keep the kde4 one
- Version update to 6.0.0.1:
* RC1 of 6 series, now tests seem to pass
- Version update to 5.4.4.2:
* Proper release containing few additional fuzzing fixes
- Reintroduce kde4 subpackage (now qt4 build with openssl-1.1)
- Add the gtk2 subpackage to not pull-in the gtk2 on current desktop
* Also supplement as needed for SLE12
- Supplement properly the qt5 and the plasma5-workspace
- Fix providing libgpg-error0 bsc#1072061 when bundling
- Version update to 5.4.4.1:
* Various fixes on 5.4 branch
- Version update to 6.0.0.0.beta2:
* Many fixes in gpg4libre and all around
- Seems we no longer need the _r.so directly, no mentions in code
- Do not upse otherproviders() as it is not needed with new rpms
- Merge up all the icon themes as they have intermixed deps
- Tweak up langpack generating to work with new gettext .mo files
* Those macros are pretty ugly
- Add patch to not bother checking qt4 bugs:
* kde5-configure-checks.patch
- Start updating to release 6.0.0.0.beta1:
* Code for Qt5 UI
* No longer flickering opengl backend
* Tons of updates
* Collada and gltf are removed upstream
* Online help re-integrated even better
- Remove merged patches:
* 0001-Adapt-getcompver.awk-to-Java-9.patch
* 0001-This-hunk-breaks-jdk9-build.patch
* 0002-Detect-libjawt-automatically-on-java9-too.patch
* java-encoding.patch
* gnome-documents-check-ntimeoutid.patch
- Drop no longer needed patches:
* libreoffice-hotfix-disablebrokenshapetest.patch
* disable-flaky-hsqldb-test.patch
- Version update to release 5.4.3.2:
* Various fixes in 5.4 branch
* Contains also fixes for bnc#947117, bnc#1035589, bnc#954776, bnc#1021675
- Disable the CppunitTest_desktop_lib as it fails on the utf encoding
- Disable the verbosity of the build again, getting complaints of
build log is too long...
- Switch to bundled gpgme on old distros where it is not possible
to update
- Rebase scp2-user-config-suse.diff to apply again
- Fix pyuno paths wrt bsc#1059720
- Make sure now plasma5 gets gtk3 UI not the generic one
- Disable kde4 integration on Tumbleweed as libqt4 is build with
openssl-1.0 while we need openssl-1.1
- Removed patch:
* 0001-tdf-100501-Adapt-to-Java-9-at-least-on-Linux-x86-64.patch
+ Integrated upstream
- The commons-codec, commons-lang and commons-httpclient are not
actually needed
- Version update to 5.4.2.1:
* Various bugfixes on 5.4 branch
- Added Esperanto to list of languages.
- Added patches:
* 0001-This-hunk-breaks-jdk9-build.patch
+ Remove a patch hunk that breaks rhino build
* 0002-Detect-libjawt-automatically-on-java9-too.patch
+ Fix detection of JDK9's libjawt.so
* 0001-Adapt-getcompver.awk-to-Java-9.patch
+ Adapt getcompver.awk to Java 9 where the version might be
single digit
* 0001-tdf-100501-Adapt-to-Java-9-at-least-on-Linux-x86-64.patch
+ Make LibreOffice find Java 9 JVM at runtime
* java-encoding.patch
+ Replace one unnecessary UTF-8 character by an ASCII one
- Version update to 5.4.1.2:
* Various bugfixes on 5.4 branch
- Fix fail to build with kde integration disabled wrt bsc#1055393
- Parse over with spec-cleaner to remove few obsolete declarations
- Add gnome-documents-check-ntimeoutid.patch: fix intermittent
crash opening files from gnome-documents (bsc#1047714).
- Version update to 5.4.0.3:
* More bugfixes on 5.4 branch for the final release
- Version update to 5.4.0.2:
* More fixes from 5.4.0 release branch
- Use system based xmlsec1
- Add api keys for google drive to work bsc#1047167
* Copied from chromium
- Update to 5.4.0.1:
* First rc of the series, now only serious bugs will be fixed
- Drop upstreamed patch 0001-undo-clone.patch
- Drop upstreamed patch 0001-watermark.patch
- Add suse color palette bsc#1045339
- Cleanup the License string
- Add patch to fix bsc#1028504:
* 0001-undo-clone.patch
- Add patch to fix test failure on 32bit:
* 0001-watermark.patch
- Run tests only on intel 32/64bit
- Version update to 5.4.0.0.beta2:
* Ton of fixes over beta1
* Oxygen theme is gone
- Install libreofficekit headers
- Artistic was dropped with vigra
- Switch to normal mirror location
- Version update to 5.4.0.0.beta1:
* Feature release 5.4 first beta
- Refresh patch disable-flaky-hsqldb-test.patch
- Drop merged patches:
* bnc959926-Implement-text-rotation-for-Impress-table.patch
* gi-annotation-syntax.patch
- Use nss to avoid issues with mixing openssl and nss
- Version update to 5.3.3.2 fate#323270:
* Update to 5.3.3 release containing bunch of additional fixes
- Add direct dep on harfbuzz-icu
- Version update to 5.3.3.1:
* Also contians fix for bsc#1036975 CVE-2017-8358
* Various fixes in 5.3 branch for rc1 of 5.3.3
- Provide and obsolete the help packages wrt bsc#1035087
- Fixed bnc#959926 LO-L3: Text not rotated properly in LO Impress tables
* bnc959926-Implement-text-rotation-for-Impress-table.patch
- Version update to 5.3.2.2:
* bsc#1034329 CVE-2017-7882
* RC2 for the 5.3.2 release
- Version update to 5.3.2.1:
* RC1 of the 5.3.2 release
- Version update to 5.3.1.2:
* official 5.3.1 release
- Fix syntax error in 0001-allow-none-gi-support.patch
(bsc#1028817).
- Add gi-annotation-syntax.patch: the (allow-none) annotations
weren't being parsed, leading to breakage on SLE (bsc#1028817)
- Version update to 5.3.1.1:
* RC1 of 5.3.1 release containing various bugfixes
- Drop upstreamed patch 0001-unixODBC-changed-soname-to-.2-so-reflect-it.patch
- bypass upstream bug for aarch64 and ppc64/ppc64le
https://bugs.documentfoundation.org/show_bug.cgi?id=105519
removing some fods data files source of test failure.
- Fixup pyuno loading as it broke when we dropped the uno patch
- Add conditional liberation2-fonts BuildRequires and Recommends
for Tumbleweed, it is better suited for the version of freetype2
we have available.
- use individual libboost-*-devel packages instead of boost-devel
- Version update to 5.3.0.3:
* Fixes bsc#1034568 CVE-2017-7870
* Fixes bsc#1034192 CVE-2016-10327
* RC3 of the 5.3 targets with additional fixes
- Remove upstreamed patch
* bnc1010961.diff
- Version update to 5.3.0.2:
* RC2 of the 5.3.0 target, stabilizing the lokit
- Version update to 5.2.5.1
* various bugfixes
- Remove upstreamed patches
* bnc945446-vertical-text-clone-formatting.patch
* bnc955548-crash-fix.patch
* bnc980734.diff
- Fix L3 bnc#1014896 LO-L3: Libreoffice calc (writer in fact!) freezing when
running a hyphenate all
* bnc1014896.diff
- Provide the breeze-dark content in the breeze icontheme
- Drop system-pyuno.diff patch as it breaks services tests as the
pyuno was not loadable
- Version update to 5.3.0.1:
* RC candidate stabilizing ont he beta1 bump
- Fix L3 bnc#1010961 LO-L3: Change tracking: everything is a change, and
accepting changes
* bnc1010961.diff
- Fix unixODBC loading bnc#1017925
* 0001-unixODBC-changed-soname-to-.2-so-reflect-it.patch
- Build firebird driver only for version 3, 2.x series does not pass
tests at all
- Drop 13.2 support, out of scope as EOL
- Fix L3 bnc#980734 LO-L3: LibreOffice missing contents in PPTX deck
* bnc980734.diff
- Version update to 5.3.0.beta2:
* Various bugfixes to bring 5.3 to stability
- Fix L3 bnc#945446 LO-L3: Clone Formatting ignores vertical text alignment
* bnc945446-vertical-text-clone-formatting.patch
- Fix L3 bnc#955548 LO-L3: CTRL+Z not working to undo changes performed through
Navigator crash fix
* bnc955548-crash-fix.patch
- Version update to 5.3.0.beta1:
* Starting of testing of new major release
- Refresh patch system-pyuno.diff
- Refresh again libreoffice-hotfix-disablebrokenshapetest.patch
- Drop upstreamed patches:
* libreoffice-firebird3-selftest.patch
* libreoffice-firebird3.patch
* 0001-allow-none-gi-support.patch
- Remove --enable-hardlink-deliver switch that is removed from autotools
- Add dep on libzmf, libstaroffice
- Update internal xmlsec
- Version update to 5.2.4.1
* various bugfixes mostly containing L3 fixes:
- Fix L3 bnc#946674 LO-L3: Undo does not revert bundled font size changes for
table cells
- Fix L3 bnc#952640 LO-L3: Cut and Paste (at the same position) changes bullet
point formatting
- Fix L3 bnc#955548 LO-L3: CTRL+Z not working to undo changes performed through
Navigator
- Fix L3 bnc#959168 LO-L3: Undo on bullet point style change only works when
focus is not set
- bnc#957991 LO-L3: Improve pivot cache reading performance
- Refresh patch libreoffice-hotfix-disablebrokenshapetest.patch
- Introduce back scp2-user-config-suse.diff wrt bnc#1010654 as
otherwise user configs would disappear with maintenance update...
- Add provides/obsoletes for brazilian and chinese to be matched on
dvd bnc#1008743
- Update to 5.2.3.3:
* small fix from .2 release
- Version update to 5.2.3.2:
* Various small fixes in the 5.2 branch
- Move the firebird db connector to subpackage wrt bsc#1003896
- Refresh a bit patch 0001-allow-none-gi-support.patch
- Version update to 5.2.2.2 bsc#1026640 CVE-2017-3157:
* Various fixes for the 5.2 branch
- Add 0001-allow-none-gi-support.patch: don't use
"nullable" for introspection, since it isn't available on SLE12
version of gobject-introspection (bsc#1000102).
- Switch google-carlito-fonts and liberation-fonts Requires to
Recommends.
- BuildRequire libopenCOLLADA-devel (the new package name) instead
of openCOLLADA-devel, except for Leap which only has the latter
- Version update to 5.2.1.2:
* Various fixes for the 5.2 branch release
- Build KDE integration on openSUSE 13.2 as well
- Update _constraints file: set the 25GB HDD / 4GB RAM limit as
general requirement (global) which only aarch64 overrides at the
moment. Prior, there was no 'default' limit set and all archs
were exceptions.
- Version update to 5.2.0.4:
* Fixes contained in rc4 of 5.2.0 release
- Version update to 5.2.0.3:
* More bugfixes for the first series of the 5.2 branch
- Version update to 5.2.0.2:
* Various bugfixes on road to 5.2 this time rc2
- change BuildRequire from pkgconfig(fbembed) to libfbembed-devel;
this is a temporary workaround allowing build both before and
after firebird is upgraded to version 3.0 in Factory; once 3.0
is there, this will be changed to pkgconfig(fbembed) or
pkgconfig(fbclient), based on %suse_version
- libreoffice-firebird3.patch:
build against system libfbclient2 if Firebird 3 detected
- libreoffice-firebird3-selftest.patch:
fix failing selftest when built against Firebird 3 libraries;
the failure is caused by database file format change, provide
two versions of the test database and let the test select the
one that matches Firebird version
- firebird_integer_x64le_ods12.odb:
rpmbuild doesn't support git patches adding binary files, add
the ODS12 test database as a source instead
- Version update to 5.2.0.1:
* Various bugfixes for the rc1 candidate
* Fixes bnc#987553 CVE-2016-4324
- Reduce constraints based on resource usage reported by OBS
- Version update to 5.2.0.0.beta2:
* More bugfixes on road to 5.2 series
* missing-include.patch
- Add patch to fix build missing-include.patch
- Version update to 5.2.0.0.beta1:
* Disable support for sle11, not needed anymore
* Cleanup the specfile from all the compat conditionals per above
* Disable bundled help and point to upstream wiki always (speeds
up build quite a bit)
* Use pkgconfig style dependencies instead of the develpkgs
* Remove all the bundled tarballs that were aedded for sle11
* Adjust the constraints a bit to reflect reality
* Remove merged patches:
* scp2-user-config-suse.diff
* 0001-Make-HAVE_JAVA6-be-always-false.patch
* 0001-mdds-1.0.patch
* 0001-liborcus-0.11.patch
* 0002-boost-filesystem1.patch
* 0003-boost-filesystem2.patch
* bnc856729.patch
* bnc939998.patch
* bnc945443.patch
* bnc945445.patch
* Refresh patches:
* libreoffice-hotfix-disablebrokenshapetest.patch
* system-pyuno.diff
- fix bnc#939998 - LO-L3: PPT file shows wrong titles
* bnc939998.patch
- fix bnc#945443 - LO-L3: Undo ignores vertical alignment
* bnc945443.patch
- fix bnc#945445 - LO-L3: Undo does not revert changes of table separation
lines
* bnc945445.patch
- Version update to 5.1.3.2: few small tweaks for the .3.1 release
* fate#320521
- Refresh patches:
* 0001-liborcus-0.11.patch
- Split out gtk3 again but this time install it on openSUSE and
avoid it on SLE12
- Version update to 5.1.3.1:
* Various small bugfixes all around 5.1 series
- fix bnc#856729 - LO-L3: Double borders in Calc
* bnc856729.patch
- update constraints file for aarch64
- Version update to 5.1.2.2:
* Various small bugfixes all around 5.1 series
- Remove upstreamed patches:
* 0001-Fix-patch-to-apply-on-SLE11-just-some-unknown-patch-.patch
* 0001-Fix-python2-build-of-pyuno-with-older-py2-versions.patch
* 0001-Update-etonyek-patch-to-apply-with-sle11-patch.patch
- Refresh patches:
* 0001-liborcus-0.11.patch
* libreoffice-hotfix-disablebrokenshapetest.patch
- Fix sle11 build by not using -r on ln command
- Update the subtag registry to latest version
- Install also gdb pretty printers
- Introduce glade subpackage to match up with fedora and to provide
others possibility to work on glade UI for libreoffice
- Remove services patch, no longer needed everything tweaked upstream:
* libreoffice-disable-services-check.patch
- Add patch to detect boost_filesystem headers:
* 0002-boost-filesystem1.patch
* 0003-boost-filesystem2.patch
- Add patch to fix rounding bug in test on i586:
* libreoffice-hotfix-disablebrokenshapetest.patch
- Version update to 5.1.1.3:
* Various bugfixes for the first bugfix release of 5.1
- Update patch to build on sle11
* 0001-liborcus-0.11.patch
- Add patch to build with liborcus 0.11
* 0001-liborcus-0.11.patch
- Use mdds-1.0
* 0001-mdds-1.0.patch
- Appdatastore is everywhere
- Add upstreamed patches to fix patch application on sle11:
* 0001-Fix-patch-to-apply-on-SLE11-just-some-unknown-patch-.patch
* 0001-Update-etonyek-patch-to-apply-with-sle11-patch.patch
* 0001-Fix-python2-build-of-pyuno-with-older-py2-versions.patch
- Localy disable the services test that SEGVs on sle11
* libreoffice-disable-services-check.patch
- Do not bother with kde integration on SLE12
- Try to enable libreofficekit integration by mimicking what RH does
bnc#965296
- Provide/obsolete the gtk3 subpackage in gnome to allow nice migration
- %dir the appdata folder to build on leap and older
- Un-split the gtk3 from separate module 5.1 should be stable enough
- Do not install the appdata xml files twice bnc#965294
- Version update to 5.1.0.3:
* Fixes bnc#967015 CVE-2016-0795 bnc#967014 CVE-2016-0794
* Various small fixes on road to final tag
* Update internal tarballs for sle11 build
- Fix requires on libmysqlclient_r18 on SLE11
- Fix a bug on es provides with en-GB
- Provide l10n-pt from pt-PT
- Update to 5.1.0.2:
* More small fixes here and there for the RC2 release
- Remove upstreamed patches:
* libreoffice-graphite.patch
* libreoffice-uno-py26.patch
* libreoffice-kde4-filelist.patch
* libreoffice-old-gtkapi.patch
- Reenable collada, debian and fedora both build with it so do the
same
- Set ulimit to unlimited prior build to allow better debugging of
build crashes
- Add patch attempting to fix build on old gtk2 versions:
* libreoffice-old-gtkapi.patch
- Add patch to fix filelist generating after kde3 removal:
* libreoffice-kde4-filelist.patch
- Add patch to fix graphite2 bundled build on SLE11:
* libreoffice-graphite.patch
- Add patch to fix build of pyuno with python2.6:
* libreoffice-uno-py26.patch
- bnc#951579 - LO-L3: [LibreOffice] Calc 5.0 fails to open ods files
* deleted RPATH prevented loading of bundled 3rd party RDF handler libs
- Version update to 5.1.0.1:
* Update few bundled libs for SLE11
- Drop support for gvfs2
- Drop kde/kdeab switches
- Drop lockdown enabler
- Version update to 5.1.0.0.beta2:
* testing the changes for 5.1 series
- Remove upstreamed patches:
* bnc-679938.diff
* bnc-889755.diff
* bnc-945047.diff
* bnc-954345.diff
* use-long-for-test-comparsion.patch
- Version update to 5.0.4.2 bnc#959716:
* Final of the 5.0.4 series
- bnc#945047 - LO-L3: LO is duplicating master pages
* bnc-945047.diff
- Version update to 5.0.4.1:
* rc1 of 5.0.4 with various regression fixes
- bnc#954345 - LO-L3: Insert-->Image-->Insert as Link hangs writer
* bnc-954345.diff
- Disable another hsqldb test:
* disable-flaky-hsqldb-test.patch
- Version update to 5.0.3.2:
* Final tag of 5.0.3 release
- Add patch to fix flaky test:
* use-long-for-test-comparsion.patch
- Remove upstream merged:
* bnc-939996.diff
- Fix bnc#939996 - LO-L3: Some bits from DOCX file are not imported
* bnc-939996.diff
- Fix bnc#889755 - LO-L3: PPTX: chart axis number format incorrect
* bnc-889755.diff
- bnc#679938 - LO-L3: saving to doc file the chapter name in the header does
not change with chapters
* bnc-679938.diff
- Add patch to disable flaky hsqldb test:
* disable-flaky-hsqldb-test.patch
- Version update to 5.0.3RC1 as it should fix i586 test failure
- Drop upstreamed patch:
* kde4filepicker.patch
- Update text2number extension to 1.5.0
- obsolete libreoffice-mono
- pentaho-flow-reporting require is conditional on system_libs
- Update icon theme dependencies
* https://lists.debian.org/debian-openoffice/2015/09/msg00343.html
- Version bump to 5.0.2 final fate#318856 fate#319071 bnc#943075
bnc#945692:
* Small tweaks compared to rc1
- For sake of completion this release also contains security fixes
for bnc#910806 CVE-2014-8147, bnc#907636 CVE-2014-9093,
bnc#934423 CVE-2015-4551, bnc#910805 CVE-2014-8146,
bnc#940838 CVE-2015-5214, bnc#936190 CVE-2015-5213,
bnc#936188 CVE-2015-5212, bnc#934423 CVE-2015-45513,
bnc#934423 CVE-2015-4551, bnc#910805 CVE-2014-8146,
bnc#940838 CVE-2015-5214, bnc#936190 CVE-2015-5213,
bnc#936188 CVE-2015-5212, bnc#934423 CVE-2015-45513,
bnc#934423 CVE-2015-4551, bnc#910805 CVE-2014-8146,
bnc#940838 CVE-2015-5214, bnc#936190 CVE-2015-5213,
bnc#936188 CVE-2015-5212, bnc#934423 CVE-2015-4551
- Use gcc48 to build on sle11sp4
- Make debuginfo's smaller on IBS.
- Fix chrpath call after the libs got -lo suffixing
- Add patch to fix qt4 features detection:
* kde4filepicker.patch
- Split out gtk3 UI to separate subpkg that requires gnome subpkg
* This is to allow people to test gtk3 while it not being default
- Version update to 5.0.2 rc1:
* Various small tweaks and integration of our SLE11 patchsets
- Update constraints to 30 GB on disk
- Version bump to 5.0.1 rc2:
* breeze icons extension
* Credits update
* Various small fixes
- Version bump to 5.0.1 rc1:
* Various small fixes
* Has some commits around screen rendering -> could fix kde bugs
- Kill branding-openSUSE, stick to TDF branding.
- Version bump to 5.0 rc5:
* Bunch of final touchups here and there
- Remove some upstreamed patches:
* old-cairo.patch
- Add explicit requires over libmysqlclient_r18, should cover bnc#829430
- Add patch to build with old cairo (sle11):
* old-cairo.patch
- Version bump to 5.0 rc3:
* Various more fixes closing on the 5.0 release
- Removed upstreamed patches:
* fix-old-poppler.patch
* mdds-old-gcc.patch
- Try to fix build on SLE11 and remove obsolete patch:
* A mdds-old-gcc.patch
* D pack-desktop-files-for-optional-filters.diff
- Update to 5.0 rc2:
* Few small fixes and updates in internal libraries
- Version bump to 5.0 rc1, remove obsolete patches:
* 0001-Fix-could-not-convert-.-const-char-to-const-rtl-OUSt.patch
* 0001-writerperfect-fix-gcc-4.7-build.patch
- More chrpat love for sle11
- Add python-importlib to build/requirements on py2 distros
- Provide/obsolete crystal icons so they are purged and not left over
- Add few patch to get LO in more buildable state on SLE11, all
upstreamed:
* 0001-Fix-could-not-convert-.-const-char-to-const-rtl-OUSt.patch
* 0001-writerperfect-fix-gcc-4.7-build.patch
* fix-old-poppler.patch
- Fix breeze icons handling, drop crystal icons.
- Version bump to 5.0.0.beta3:
* Drop merged patch 0001-Make-cpp-poppler-version.h-header-optional.patch
* Update some internal tarballs so we keep building
- based on these bumps update the buildrequires too
- Generate python cache files wrt bnc#929793
- Update %post scriptlets to work on sle11 again
- Split out the share -> lib linker to hopefully allow sle11 build
- One more fix for help handling bnc#915996
- Version bump to 4.4.3 release:
* Various small fixes all around
- enable aarch64 build
- Reformat with spec-cleaner
- Disable verbose build to pass check on maximal size of log
- We need pre/post for libreoffice in langpkgs
- Use old java for detection and old commons-lang/codec to pass
brp check on java from sle11
* 0001-Make-HAVE_JAVA6-be-always-false.patch
- Revert last changeset, it is caused by something else this time:
* 0001-Set-source-and-target-params-for-java.patch
- Set source/target for javac when building to work on SLE11:
* 0001-Set-source-and-target-params-for-java.patch
- Try to deal with rpath on bundled libs
- Fix python3_sitelib not being around for py2
- Add internal make for too old system
- One more stab on poppler switch:
* 0001-Make-cpp-poppler-version.h-header-optional.patch
- Update the old-poppler patch to work correctly:
* 0001-Make-cpp-poppler-version.h-header-optional.patch
- Sort out more external tarballs for the no-system-libs approach
- Add basic external tarballs needed for without-system-libraries
- Add patch to check for poppler more nicely to work on older distros:
* 0001-Make-cpp-poppler-version.h-header-optional.patch
- Try to pass configure without system libs
- Allow switch between py2 and py3
- Move external dependencies in conditional thus allow build on
SLE11
- Add conditional for noarch subpackages
- Add switch in configure to detect more of internal/external stuff
- Add conditional for appdatastore thing and redo it to impact the
spec less
- Add systemlibs switch to be used in attempt to build sle11 build
- Hopefully fix bnc#913042.Redo check phase that sometimes broke
.jar generating
- Silence more scarry messages by bnc#900186
* Fixes autocorr symlinking
* Cleans UNO cache in more pretty way
- Clean up the uno cache removal to not display scarry message
bnc#900186
- Remove patch to look for help in /usr/share, we symlink it back to
lib, so there is no actual need to search for it directly, migth
fix bnc#915996:
* officecfg-help-in-usr-share.diff
- --disable-collada
* reportedly it does not work in LibreOffice 4.4
- added version numbers to some BuildRequires lines
- Require flow engine too on base
- Fix build on SLE12 and 13.1 by adding conditional for appdata install
- Fixup the installed appdata.xml files: they reference a .desktop
file that are not installed by libreoffice (boo#926375).
- Version bump to 4.4.2:
* 2nd bugfix update for the 4.4 series
- BuildRequires: libodfgen-devel >= 0.1
- added version numbers to some BuildRequires lines
- build does not require python3-lxml
- build requires librevenge-devel >= 0.0.1
- vlc media backend is broken, don't use it. Only gstreamer should be used.
- Install the .appdata.xml files shipped by upstream: allow LO to
be shown in AppStream based software centers.
- Move pretrans to pre
- Version bump to 4.4.1 first bugfix release of the series
- Reduce bit the compilation preparations as we prepped most of the
things by _constraints and it is no longer needed
- %pre is not enough the script needs to be rewritten in lua
- Move removal of obsolete dirs from %pretrans to %pre bnc#916181
- Version bump to 4.4.0 final:
* First in the 4.4 series
* First release to have the new UI elements without old hardcoded
sizes
* Various improvements all around.
- Add debug symobols
- Version bump to 4.4.0rc2:
* Various bugfixes, just bumping to see if we still build fine.
- That verbose switch for configure was really really bad idea
- generic images.zip for galaxy icons seem gone so remove
- Do not supplement kde3 stuff, it is way beyond obsolete
- Remove vlc conditional
- korea.xcd is no more so remove
- Really use mergelib
- Disable telepathy, it really is experimental like hell
- Version bump to 4.4.0rc1:
* New 4.4 branch release with additional features
- Enable collada:
* New bundled collada2gltf tarball:
4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2
- Obsoleted patches:
* jvmfwk-disable-gcj.diff
* libreoffice-4.3-plasma5-ui-decisions.patch
* libreoffice-4.3.0.3-themes-symlinks.patch
* office-cfg-linux-common-template-dir.diff
* libreoffice-boost-1.56.patch
- Refreshed patches:
* officecfg-help-in-usr-share.diff
* system-pyuno.diff
- Version bump to 4.3.5 release:
* Various small fixes
* Fix for CVE-2014-9093 bnc#907636
- And do it right as it was supposed to be bash variable :)
- Fix typo %{libdir} -> %{_libdir}
- Remove dangling symlinks from previous versions bnc#884942
- Fix build with boost 1.56
* libreoffice-boost-1.56.patch
- Version bump to 4.3.4:
* Few small fixes
* Fix for calc value ordering "regression"
- Remove no longer needed mergelib patch
* libreoffice-mergedlibs-circular-deps.patch
- Add patch for plasma5 UI selector support
* libreoffice-4.3-plasma5-ui-decisions.patch
- Remove errorous self-obsolete in lang pkgs.
- Version bump to 4.3.3.2:
* Various bugfixes from maintenance branch to copy openSUSE.
* Also contains fix for bnc#900214 and bnc#900218 CVE-2014-3693
- Remove fixes merged upstream:
* 0001-fdo-82418-prefer-UTF-8-over-UTF-16.patch
* 0001-n-708518-sd-check-that-master-page-matches-when-sett.patch
- Obsolete old libreoffice-ure-devel in sdk and devel-docs in sdk-doc
to avoid possible conflicts during zypper dup (bnc#900877)
- Obsolete old libreoffice-ure to avoid conflicts during zypper dup
(bnc#900877)

==== libstorage-ng ====
Version update (4.1.139 -> 4.2.3)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#665
- extended documentation
- 4.2.3
- Translated using Weblate (Chinese (China))
- 4.2.2
- merge gh#openSUSE/libstorage-ng#663
- update packaging documentation
- 4.2.1
- merge gh#openSUSE/libstorage-ng#662
- merge gh#openSUSE/libstorage-ng#661
- Adapt Dockerfile for SLE-15-SP1
- Translated using Weblate (Slovak)
- Translated using Weblate (Catalan)
- Translated using Weblate (Czech)
- Translated using Weblate (Japanese)
- Translated using Weblate (Arabic)
- Translated using Weblate (Chinese (China))
- Translated using Weblate (Chinese (Taiwan))
- Translated using Weblate (Dutch)
- Translated using Weblate (French)
- Translated using Weblate (German)
- Translated using Weblate (Hungarian)
- Translated using Weblate (Italian)
- Translated using Weblate (Korean)
- Translated using Weblate (Polish)
- Translated using Weblate (Russian)
- Translated using Weblate (Spanish)
- Translated using Weblate (Swedish)
- Translated using Weblate (Portuguese (Brazil))
- Translated using Weblate (Finnish)
- Fix dectection of surrounding region (bsc#1146686)
- Bump lib version
- Fix surrounding detection
- Revert "Translated using Weblate (Catalan)"
- Revert "Translated using Weblate (Finnish)"
- Revert "Translated using Weblate (Dutch)"
- Revert "Translated using Weblate (Portuguese (Brazil))"
- Revert "Translated using Weblate (Swedish)"
- Revert "Translated using Weblate (Spanish)"
- Revert "Translated using Weblate (Russian)"
- Revert "Translated using Weblate (Polish)"
- Revert "Translated using Weblate (Korean)"
- Revert "Translated using Weblate (Italian)"
- Revert "Translated using Weblate (Hungarian)"
- Revert "Translated using Weblate (German)"
- Revert "Translated using Weblate (French)"
- Revert "Translated using Weblate (Chinese (Taiwan))"
- Revert "Translated using Weblate (Chinese (China))"
- Revert "Translated using Weblate (Arabic)"
- Revert "Translated using Weblate (Japanese)"
- Revert "Translated using Weblate (Czech)"
- Revert "Translated using Weblate (Slovak)"
- Revert "Adapt Dockerfile for SLE-15-SP1"
- Merge SLE-15-SP1
- 4.2.0
- Translated using Weblate (Chinese (China))
- 4.1.145
- Translated using Weblate (French)
- 4.1.144
- Translated using Weblate (Indonesian)
- 4.1.143
- merge gh#openSUSE/libstorage-ng#660
- added functions to query existance of holders
- 4.1.142
- merge gh#openSUSE/libstorage-ng#659
- added parser for 'cryptsetup luksDump'
- added example
- added support for LUKS2
- extended documentation
- coding style
- extended integration tests
- fixed documentation
- fixed typo
- relaxed parser for whitespace changes
- LUKS2 support
- 4.1.141
- merge gh#openSUSE/libstorage-ng#658
- probe zone model for disks
- added unit test
- avoid compiler warning
- coding style
- 4.1.140

==== libwps ====
Version update (0.4.9 -> 0.4.10)

- Version update to 0.4.10:
* QuattroPro: add parser of .qwp files
* all: support complex encoding

==== multipath-tools ====
Version update (0.7.9+164+suse.e41fbd9 -> 0.8.2+18.9ff73e7)
Subpackages: kpartx

- Update to version 0.8.2+18.9ff73e7:
* Fix premature path reinstantiation with san_path_err_XX
(boo#1149319)
- Update to version 0.8.2+17+suse.21ac578:
* kpartx: recognize DASD on loop devices again (bsc#1139775)
* Pull in SLE15-SP1 patches yet missing upstream
- Update to upstream version 0.8.2 (bsc#1148767)
* libmultipath: more cautious blacklisting by missing property
(don't blacklist paths because of temporarily missing
udev properties)
* code correctness fixes from coverity and gcc9 warnings
* fixes for VPD80/83 parsing
- Update to upstream version 0.8.1 (bsc#1148767)
* Improve handling of changed WWIDs and temporary failure
to obtain WWID. Option "disable_changed_wwids" is now ignored.
* Fixes for PATH_PENDING state handling (bsc#1125043)
* libmutipath: continue to use old state on PATH_PENDING
* libmultipath: disable user_friendly_names for NetApp
* various fixes for marginal path code
- Update to upstream version 0.8.0 (bsc#1148767)
* multipathd: fix pp->initialized state ping-ponging
* multipath: blacklist zram devices
- Set default for "enable_foreign" to "NONE" (bsc#1139837)
* added libmultipath-set-enable_foreign-to-NONE-by-default.patch
- Update to version 0.7.9+166+suse.1693c88:
* multipath.conf.5: document foreign library support
* multipath.conf: add "enable_foreign" parameter (bsc#1139837)

==== open-iscsi ====
Subpackages: iscsiuio libopeniscsiusr0_2_0

- Update to latest upstream/factory version of open-iscsi and
iscsiuio (bsc#1113712). Summary of changes:
* ***********************************************************
Christian Ehrhardt (2):
iscsiuio: avoid loosing bad rc in nic_nl_open
iscsiuio: fail on nic_nl_open failing
Floris Bos (1):
context.h: add missing stdarg.h include
Lee Duncan (37):
Plugging a memory leak from discovery.
Allow reading sysfs "port" to fail gracefully.
Fix incorrect sysfs logic for port and ip address.
Fix reading of sysfs signed integers when negative.
Create a new error for "target not connected".
Fix bug in error message when reading sysfs numbers.
Handle ENOTCONN error separately when reading sysfs values.
Limit session relogin attempts using config value.
Removed unused value 'one'.
Include stdio.h for use of snprintf().
Fix qsort() comparator function call.
Do not allow multiple sessions when nr_sessions=1
When reopen_max=0 retry reopening forever.
Use libkmod instead of fork/exec of modprobe.
Update GPLv2 License information.
Make reconnect to session on startup forever default.
Restore space in node-mode level 0 output
Added service file for iscsi logins
Use sd_notify() to tell systemd when iscsid is ready.
Update systemd unit files for iscsid
Preparing for version 2.0.877
iscsistart is not installed
Fix i586 build issues with string length overflow.
Use pkg-config in Makefiles for newer libraries.
Updated iscsiadm man page: add "onboot" handling.
Fix output for iscsiadm node/iface print level P1
When displaying interfaces, skip "iface.example"
Fix node print return value when no nodes.
Fix printing of node database again.
Fix output of node printing for multiple paths.
Stop using /var directory for PIDfile and locks
Improve daemon synchronization, fix err msgs
Fix pipe notification code
Add systemd support for iscsiuio
Make iscsid systemd usage optional
Fix possible discovery hang when timing out
Handle systemd disablement correctly in iscsiuio
Manish Rangankar (4):
iscsiuio: Release xmit_mutex in error code path.
iscsiuio: Do not flush tx queue on each uio interrupt.
qedi: Set buf_size in case of ICMP and ARP packet.
qedi: Use uio BD index instead on buffer index.
Nilesh Javali (4):
iscsiuio: limit retries of performing dhcpv6 before declaring dhcp failure
iscsiuio: v0.7.8.5
iscsiuio: allow processing of iscsid requests in DHCP failure condition
iscsiuio: update version to 0.7.8.6
Scott Moser (2):
Close file handles when writing pid files.
Better error message and failure if netlink socket fails.
Xiubo Li (1):
rec update: disable the idbm_lock in read/write when updating the rec
fredvx (1):
Add Restart=on-failure option to iscsid.service
igo95862 (2):
Make iscsid.service a requirement.
Fixed iscsi.service considering every signal and exit code as successful. Now
only code 21 (no objects found to execute on) and normal exit conditions are
valid.
* ***********************************************************
Which updates:
* open-iscsi-SUSE-latest.diff.bz2

==== parted ====
Subpackages: libparted0 libparted0-32bit parted-lang

- changed: parted-fix-crash-due-to-improper-partition-number-in.patch
Changed the patch to behave in the same way like before last change
for numbers with leading zeroes.
- port fixes for various bugs from upstream (bsc#1136245)
- add: libparted-dasd-correct-the-offset-where-the-first-pa.patch
4126d02, correct the offset where the first partition begins.
This patch implements libparted-dasd-do-not-use-first-tracks.patch
- remove: libparted-dasd-do-not-use-first-tracks.patch
- add: parted-fix-crash-due-to-improper-partition-number-in.patch
149f009, fix crash due to improper partition number input,
changed call to strtol, use base 0 to fit our parted-type.patch
- modify: parted-type.patch (removed ui.c part)
- add: parted-check-the-name-of-partition-first-when-to-nam.patch
d7a2ff1, check the name of partition first when to name a partition
- add: libparted-dasd-add-test-cases-for-the-new-fdasd-func.patch
c11f5c0, 571e078, add test cases for the new fdasd functions
- add: libparted-dasd-add-an-exception-for-changing-DASD-LD.patch
ee2c0c2, add an exception for changing DASD-LDL partition table
- add: libpartd-dasd-improve-flag-processing-for-DASD-LDL.patch
1545d6d, improve flag processing for DASD-LDL
- add: clean-the-disk-information-when-commands-fail-in-int.patch
5a61f15, clean the disk information when commands fail in
interactive mode
- add: parted-ui-remove-unneccesary-information-of-command.patch
0b7946a, remove unneccesary information of command line
- add: parted-fix-wrong-error-label-jump-in-mkpart.patch
af150f6, fix wrong error label jump in mkpart
- refresh: libparted-dasd-unify-vtoc-handling-for-cdl-ldl.patch
4f25d54, unify vtoc handling for cdl/ldl
- refresh: libparted-dasd-update-and-improve-fdasd-functions.patch
db37c8c, update and improve fdasd functions
- refresh: libparted-dasd-add-new-fdasd-functions.patch
b9e1281, add new fdasd functions
- libparted: Include <sys/sysmacros.h> for major() macro with
glibc >= 2.27
- add: libparted-sysmacros.patch
- Use %license instead of %doc [bsc#1082318]

==== patterns-yast ====
Version update (20190409 -> 20190411)
Subpackages: patterns-yast-x11_yast patterns-yast-yast2_basis

- Adapting Dockerfile to yast-ruby container.
- remove requires on old package yast2-branding-openSUSE (boo#1109310)
- fix installing yast2-vm per default on openSUSE (bsc#1083398)

==== pinentry ====
Subpackages: pinentry-gnome3 pinentry-gtk2 pinentry-qt5

- Fix a dangling pointer in qt/main.cpp [bsc#1141883]
* Added pinentry-qt-Fix-use-of-dangling-pointer.patch

==== plasma5-pk-updates ====
Subpackages: plasma5-pk-updates-lang

- Add patch to implement EULA handling (boo#1148168):
* 0001-Add-support-for-license-prompts.patch

==== postfix ====

- fix build on kernel 5 by handling LINUX5 define (boo#1149724)

==== python-SQLAlchemy ====

- Add 0001-Illustrate-fix-for-4481-in-terms-of-a-1.2-patch.patch
(bsc#1124593, CVE-2019-7164, CVE-2019-7548)

==== rsyslog ====

- removal of SuSEfirewall2 service, since SuSEfirewall2 has been replaced by
firewalld, see [1].
[1]: https://lists.opensuse.org/opensuse-factory/2019-01/msg00490.html

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Add SLE branding package for PackageHub (boo#1101297)
- Change the Supplements of branding packages, so they get installed
when sddm and the respective branding package is installed. Also
added a Supplements to sddm so it gets recommended when
plasma5-workspace is installed.

==== shadow ====

- shadow-login_defs-suse.patch: Set ALWAYS_SET_PATH default to
"yes" (bsc#353876#c7).
- bsc#1141113: Fix segfault in useradd
* Add shadow-4.6-bsc1141113-useradd-segfault.patch
- Split shadow-login_defs.patch hunks to its logical components
(bsc#1121197):
* shadow-login_defs-unused-by-pam.patch
* shadow-login_defs-comments.patch
* shadow-util-linux.patch
* shadow-login_defs-suse.patch
* Move appropriate hunks to chkname-regex.patch and
encryption_method_nis.patch
* Remove GROUPADD_CMD that is not supported (bsc#1121197#c14).
- Split getdef-new-defs.patch hunks to its logical components
(bsc#1121197):
* encryption_method_nis.patch
* chkname-regex.patch
* shadow-util-linux.patch
Add support for login: ALWAYS_SET_PATH and LOGIN_PLAIN_PROMPT.
* useradd-script.patch, userdel-script.patch
* Remove duplicated definitions of MOTD_FILE and ENV_PATH.

==== strace ====
Version update (4.20 -> 5.2)

- Update to strace 5.2
* Improvements
* Implemented syscall return status filtering with -e status=set option
and its aliases: -z (limit syscall printing to successful syscalls only)
and -Z (limit syscall printing to failed syscalls only).
* Implemented decoding of open_tree, move_mount, fsopen, fsconfig, fsmount,
and fspick syscalls.
* Enhanced decoding of bpf, clone, inotify_init, mbind, and set_mempolicy
syscalls.
* Updated lists of AT_*, AUDIT_*, BPF_*, CLONE_*, ETH_*, KEY_*, KVM_*, MPOL_*,
TIPC_*, and V4L2_* constants.
* Updated lists of ioctl commands from Linux 5.2.
* Bug fixes
* Fixed syscall tampering on powerpc, powerpc64, sparc, and sparc64 when
PTRACE_GET_SYSCALL_INFO is in use.
* Fixed build with cutting-edge toolchain.
- Update to strace 5.1
* Bug fixes
* Fixed decoding of last two arguments of clone syscall on riscv.
* Improvements
* Added C-SKY architecture support.
* Implemented decoding of SO_TIMESTAMP*_NEW control messages.
* Implemented decoding of clock_gettime64, clock_settime64, clock_adjtime64,
clock_getres_time64, clock_nanosleep_time64, timer_gettime64,
timer_settime64, timerfd_gettime64, timerfd_settime64, utimensat_time64,
pselect6_time64, ppoll_time64, io_pgetevents_time64, recvmmsg_time64,
mq_timedsend_time64, mq_timedreceive_time64, semtimedop_time64,
rt_sigtimedwait_time64, futex_time64, sched_rr_get_interval_time64,
pidfd_send_signal, io_uring_setup, io_uring_enter, and io_uring_register
syscalls.
* Enhanced decoding of bpf syscall.
* Wired up getegid, geteuid, getppid, io_pgetevents, statfs64, and fstatfs64
syscalls on alpha.
* Wired up kexec_file_load and migrate_pages syscalls on arm.
* Wired up io_pgetevents, perf_event_open, seccomp, and statx syscalls
on ia64.
* Wired up seccomp syscall on m68k.
* Wired up statx syscall on sh.
* Wired up pkey_mprotect, pkey_alloc, and pkey_free syscalls on alpha, hppa,
ia64, m68k, s390, s390x, sh, sparc, and sparc64.
* Wired up rseq syscall on alpha, hppa, ia64, m68k, sh, sparc, sparc64,
and xtensa.
* Wired up direct ipc syscalls on m68k, mips o32, powerpc, powerpc64,
s390, s390x, sh, sparc, sparc64, and x86.
* Updated lists of BPF_*, FAN_*, F_SEAL_*, IPV6_*, NT_*, PR_SPEC_*, SO_*,
and V4L2_* constants.
* Updated lists of ioctl commands from Linux 5.1.
- Ignore testsuite failures
- Update to strace 5.0
* Changes in behavior
* -D option now implies -I4
* Diagnostic message is no longer printed if an attempt to restart a process
has failed with ESRCH.
* ASCII dump no longer tries to read the whole buffer at once.
* Improvements
* Changed the way tracees are handled: all pending tracees are now waited for
before further processing, this improves fairness of tracee processing.
* Enhanced xlat styles support configured by -X option.
* Enhanced decoding of bpf syscall.
* Enhanced pid formatting in strace-log-merge output.
* Wired up kexec_file_load and rseq syscalls on aarch64, arc, metag, nios2,
or1k, riscv, and tile architectures.
* Updated lists of BPF_*, BTRFS_*, FAN_*, IFLA_*, KERN_*, KVM_CAP_*, NDA_*,
NETNSA_*, NT_*, PR_*, REL_*, SECCOMP_*, SCTP_*, UDP_*, V4L2_*, and *_MAGIC
constants.
* Updated lists of ioctl commands from Linux 5.0.
* Bug fixes
* Fixed ordering of sockaddr_in6 fields.
* Fixed strace-k test on alpha.
* Fixed build on mips o32.
* Fixed build on NOMMU architectures.
* Fixed build in --with-libiberty=yes mode.
* Fixed potential NULL dereference during printing of line continuation
for syscalls that haven't been decoded.
* Fixed strace-log-merge error diagnostics.
- disable test failing with kernel 5.0
- Update to strace 4.26
* Changes in behavior
* If strace is interrupted by a signal it handles (currently
one of HUP, INT, QUIT, PIPE, or TERM), strace terminates
itself with this signal.
* Improvements
* Implemented obtainment of system call information using
PTRACE_GET_SYSCALL_INFO ptrace API.
* Implemented decoding of PTRACE_GET_SYSCALL_INFO ptrace request.
* Implemented decoding of BLKGETZONESZ, BLKGETNRZONES, and RND* ioctl
commands.
* Enhanced xlat styles support configured by -X option.
* Enhanced internet address formatting in structureless contexts.
* Enhanced decoding of getsockopt SO_ERROR option.
* Enhanced error diagnostics when the first exec fails.
* Added %net as a short form of %network in syscall specifications.
* Updated lists of ABS_*, BPF_*, FAN_*, IFA_*, IFLA_*, KVM_CAP_*, NETLINK_*,
NTF_*, PR_SPEC_*, REL_*, SOL_*, TCA_*, and V4L2_* constants.
* Updated lists of ioctl commands from Linux 4.20.
* Enhanced manual page.
* Bug fixes
* Fixed "xlat_idx: Unexpected xlat value 0" warnings.
* Fixed sthyi output format on s390.
* Documented -X option in strace -h output.
- Update to strace 4.25
* Improvements
* Implemented decoding of KVM_CHECK_EXTENSION and NBD_* ioctl commands.
* Implemented decoding of SOL_XDP socket option names.
* Implemented decoding of AF_PACKET protocols in socket syscall.
* Implemented decoding of AF_AX25 and AF_X25 addresses, protocols,
and options.
* Implemented stack trace printing on receiving signals.
* Enhanced xlat styles support configured by -X option.
* Enhanced decoding of IFLA_*, NETCONFA_*, and SMC_DIAG_* netlink attributes.
* Wired up io_pgetevents syscall on arm, sparc, and sparc64.
* Updated lists of AF_*, AUDIT_*, BPF_*, IFLA_*, IN_*, IPSTATS_*,
IPV4_DEVCONF_*, NT_*, SCTP_*, SO_*, SOCK_*, SOL_*, and V4L2_* constants.
* Updated lists of ioctl commands from Linux 4.19.
* Bug fixes
* Fixed decoding of bit sets in evdev ioctl commands.
* Fixed decoding of EVIOCGBIT(0, ...) ioctl commands.
* Fixed test suite for the case when mlockall and unimplemented syscalls
are explicitly disabled by a seccomp filter.
- Update to strace 4.24
* Contains a fix for occasionally failing aio.gen.test
* Improvements
* Implemented decoding of kvm vcpu exit reason (-e kvm=vcpu option),
requires Linux kernel version 4.16.0 or higher.
* Implemented decoding of KVM_SET_CPUID2 and KVM_GET_*_CPUID ioctl commands.
- Remove statx-redefinition.patch (in upstream now)
- statx-redefinition.patch: Workaround incompatibility between
<sys/stat.h> and <asm/stat.h>
- Update to strace 4.23
* Changes in behaviour
* On x32 personality, 64-bit syscalls (such as readv) are now shown with "#64"
suffix instead of "64:" prefix.
* Changed error number output format: error numbers are consistently
printed as "-1 ECONST (Error description)"
for known errors and as "-1 (errno 123)" for unknown errors,
regardless of -e raw qualification settings.
* Unfetchable addresses inside arrays are now printed as comments.
* Obsolete IA-32 mode syscall names are no longer printed on ia64.
* Improvements
* Implemented libdw backend for -k option, configured at build time
using --with-libdw option.
* Added -X option for configuring xlat output formatting (addresses
Debian bug #692915).
* Added support for personality designation ("64", "32", or "x32") to syscall
qualifications in -e trace expressions.
* Implemented injection of syscalls with no side effects as an alternative
to injection of an invalid syscall (-e inject=SET:syscall= expression).
* Improved support for reproducible builds (addresses Debian bug #896016).
* Implemented decoding of BPF_PROG_QUERY and BPF_RAW_TRACEPOINT_OPEN bpf
syscall commands.
* Implemented decoding of INOTIFY_IOC_SETNEXTWD and PERF_EVENT_IOC_* ioctl
commands.
* Implemented decoding of PR_GET_SPECULATION_CTRL and PR_SET_SPECULATION_CTRL
prctl syscall options.
* Enhanced decoding of bpf, getsockopt, setsockopt, and socket syscalls.
* Enhanced decoding of NETLINK_KOBJECT_UEVENT and NETLINK_ROUTE protocols.
* Enhanced decoding of *_DIAG_MEMINFO netlink attributes.
* Enhanced decoding of BTRFS_*, FS_IOC_*, SIOCGIFHWADDR, and SIOCSIFHWADDR
ioctl commands.
* Enhanced decoding of AF_BLUETOOTH socket addresses.
* Implemented decoding of io_pgetevent syscall.
* Wired up rseq syscall.
* Updated lists of ADJ_*, BPF_*, BPF_F_*, BPF_PROG_TYPE_*, ETH_P_*, FPE_*,
IFF_*, IPPROTO_*, MAP_*, MS_*, MSG_*, NETLINK_*, PACKET_*, PROT_*, SCTP_*,
SECCOMP_FILTER_FLAG_*, SEGV_*, SEM_*, SHM_*, SW_*, V4L2_CID_*,
V4L2_CTRL_CLASS_*, and V4L2_PIX_FMT_* constants.
* Updated lists of ioctl commands from Linux 4.17.
* Bug fixes
* Fixed decoding of msgtyp argument of msgrcv syscall.
* Fixed fallback definitions for F_*, MCL_*, MSG_ZEROCOPY, SI_*,
and SOL_SOCKET constants.
* Fixed -e trace=%pure expression on mips.
- Use libdw for unwinding on Leap 15 or later
- Update to strace 4.22
* Changes in behaviour
* When printing string data, '8' and '9' following an octal escape sequence
no longer lead to unabbreviated octal escape sequence output, as they used
to do.
* Angle brackets are now printed as octal number escape sequences
in the output of paths associated with file descriptors.
* Data dump for write syscalls (-e write) is performed regardless
of successfulness of these syscall (addresses Debian bug #436284).
* -r and -t options are now affect output independently. Previously,
- r option led to ignoring of the -t option (addresses Debian bug #466195).
* Improvements
* Implemented delay injection (-e inject=SET:delay_enter= and
- e inject=SET:delay_exit= options).
* Added -A option for opening output files in append mode
(addresses Debian bug #528488).
* IPv6 addresses shown in socket information in -yy mode are now printed
in brackets.
* Enhanced decoding of bpf, prctl and ptrace syscalls.
* Enhanced decoding of BTRFS_IOC_INO_PATHS, BTRFS_IOC_LOGICAL_INO, and PTP_*
ioctl commands.
* Enhanced NETLINK_ROUTE protocol decoding.
* Updated lists of signal codes.
* Updated lists of BPF_*, BTN_*, ETH_P_*, INET_DIAG_BC_*, KEY_*, POLL*, RWF_*,
SCHED_FLAG_*, SCTP_* and error constants.
* Implemented block/character device number printing in -yy mode.
* Known pixel/SDR format names are printed as comments for pixelformat fields
in v4l2 structures.
* Enhanced decoding of kern_features syscall.
* Enhanced NETLINK_NETFILTER netlink protocol decoder.
* Optimized handling of large number of tracees.
* Improved wall clock time measurement in syscall count statistics
(-c -w option).
* Extended the range of allowed values in -e inject=...:retval= expression.
* Added i18n support.
* Updated lists of ioctl commands from Linux 4.16.
* Enhanced manual page.
* Bug fixes
* Fixed build on m68k.
* Fixed v4l2 pixelformat decoding on big-endian architectures.
* Fixed -O option.
- Update to strace 4.21
* Changes in behaviour
* Warning is now issued when -F option is used.
* Warning is now issued when a tracee with unsupported personality
is attached.
* Unknown syscall numbers are now printed in hexadecimal form.
* Improvements
* Implemented decoding of netlink descriptor attributes as file descriptors.
* Implemented decoding of hugetlb page size selection flags.
* Implemented decoding of BPF_PROG_TEST_RUN, BPF_PROG_GET_NEXT_ID,
BPF_MAP_GET_NEXT_ID, BPF_PROG_GET_FD_BY_ID, BPF_MAP_GET_FD_BY_ID,
and BPF_OBJ_GET_INFO_BY_FD commands of bpf syscall.
* Enhanced decoding of get_thread_area, memfd_create, modify_ldt,
perf_event_open, reboot, s390_guarded_storage, s390_pcio_mmio_read,
s390_pci_mmio_write, s390_runtime_instr, s390_sthyi, set_thread_area,
and shmget syscalls.
* Implemented decoding of KVM_* and DM_LIST_DEVICES ioctl commands.
* Implemented decoding of riscv_flush_icache syscall.
* Enhanced decoding of getsockopt and setsockopt syscalls for SOL_NETLINK
level.
* Enhanced decoding of BPF_MAP_CREATE command of bpf syscall.
* Print values returned by mq_open syscall and first arguments
of mq_getsetattr, mq_notify, mq_timedreceive, and mq_timedsend syscalls
as file descriptors.
* Added decoding of get_tls syscall on arm.
* Added -e trace=%pure option for tracing system calls with no arguments that
never fail.
* Updated lists of IPV6_*, MAP_*, MEMBARRIER_CMD_*, MSG_*, NT_*, PKEY_*,
SHM_*, and TCP_* constants.
* Added manual page for the strace-log-merge command.
* Updated lists of ioctl commands from Linux 4.15.
* Implemented biarch support for s390x.
* Implemented an optional support for symbol demangling in strace -k output
(activated by --with-libiberty configure option).
* Information about availability of demangling and reliable personality
decoding (on architectures with multiple personalities) is now available
in strace -V output.
* Added decoding of pkey_alloc, pkey_free, and pkey_mprotect syscalls on
powerpc and powerpc64.
* Enhanced manual page.
* Bug fixes
* Fixed multi-personality support in cross builds.
* Added mq_getsetattr, mq_notify, mq_open, mq_timedreceive, and mq_timedsend
syscalls to %desc tracing set.
* Fixed path tracing support for mmap syscalls with indirect arguments and
for old select syscall.
* Fixed decoding of arm-specific (__ARM_NR_*) syscalls.
* Fixed open mode flags decoding.
* Fixed corner cases in handling of strace -ff -ttt logs by strace-log-merge.
* Error counts that exceed one billion are now printed correctly in call
summary output.
* Fixed call summary header for x32 personality.
* Changes of tracee personalities are reported more reliably.
* Fixed the case when strace attaches to a tracee being inside exec and its
first syscall stop is syscall-exit-stop instead of syscall-enter-stop,
which messed up all the syscall state tracking.
* Fixed printing of higher 32 bits of the return value for x32 personality.
- update-futex-test-in-accordance-with-kernel-s-v4.15-.patch: removed

==== tmux ====
Version update (2.9 -> 2.9a)

- Update to v2.9a
- Fix bugs in select-pane and the main-horizontal and main-vertical layouts.

==== trytond ====
Version update (4.6.13 -> 4.6.17)

- Version 4.6.17 - Bugfix Release
- Version 4.6.15 - Bugfix Release

==== trytond_account ====
Version update (4.6.9 -> 4.6.10)

- Version 4.6.10 - Bugfix Release

==== trytond_stock ====
Version update (4.6.4 -> 4.6.7)

- Version 4.6.7 - Bugfix Release
- Version 4.6.6 - Bugfix Release
- Version 4.6.5 - Bugfix Release

==== util-linux ====
Subpackages: libblkid1 libblkid1-32bit libfdisk1 libmount1 libmount1-32bit
libsmartcols1 libuuid1 libuuid1-32bit util-linux-lang

- Issue a warning for outdated pam files
(bsc#1082293, boo#1081947#c68).
- Fix comments and unify look of PAM files that were just changed
(login.pamd, remote.pamd).
- Fix /etc/default/su comments and create /etc/default/runuser
(bsc#1121197#31).
- Remove /etc/default/su migration from coreutils.
- De-duplicate fstrim -A properly (bsc#1127701,
util-linux-fstrim-A-1.patch, util-linux-fstrim-A-3.patch,
util-linux-fstrim-A-4.patch).
- Do not trim read-only volumes
(boo#1106214, util-linux-fstrim-A-2.patch,
util-linux-fstrim-A-4.patch).
- libmount: To prevent incorrect behavior, recognize more pseudofs
and netfs (bsc#1122417, util-linux-libmount-pseudofs.patch).
- Fix license of libraries: LGPL-2.1-or-later and BSD-3-Clause for
libuuid (bsc#1135708).
- raw.service: Add RemainAfterExit=yes (bsc#1135534).
- agetty: Return previous response of agetty for special characters
(bsc#1085196, bsc#1125886,
util-linux-agetty-smart-reload-13.patch,
util-linux-agetty-smart-reload-14.patch).
- Fix problems in reading of login.defs values (bsc#1121197,
util-linux-login_defs-priority1.patch,
util-linux-login_defs-priority2.patch,
util-linux-login_defs-SYS_UID.patch).
- Perform one-time reset of /etc/default/su (bsc#1121197).
- Integrate pam_keyinit pam module to login
(boo#1081947, login.pamd, remote.pamd).

==== util-linux-systemd ====

- Issue a warning for outdated pam files
(bsc#1082293, boo#1081947#c68).
- Fix comments and unify look of PAM files that were just changed
(login.pamd, remote.pamd).
- Fix /etc/default/su comments and create /etc/default/runuser
(bsc#1121197#31).
- Remove /etc/default/su migration from coreutils.
- De-duplicate fstrim -A properly (bsc#1127701,
util-linux-fstrim-A-1.patch, util-linux-fstrim-A-3.patch,
util-linux-fstrim-A-4.patch).
- Do not trim read-only volumes
(boo#1106214, util-linux-fstrim-A-2.patch,
util-linux-fstrim-A-4.patch).
- libmount: To prevent incorrect behavior, recognize more pseudofs
and netfs (bsc#1122417, util-linux-libmount-pseudofs.patch).
- Fix license of libraries: LGPL-2.1-or-later and BSD-3-Clause for
libuuid (bsc#1135708).
- raw.service: Add RemainAfterExit=yes (bsc#1135534).
- agetty: Return previous response of agetty for special characters
(bsc#1085196, bsc#1125886,
util-linux-agetty-smart-reload-13.patch,
util-linux-agetty-smart-reload-14.patch).
- Fix problems in reading of login.defs values (bsc#1121197,
util-linux-login_defs-priority1.patch,
util-linux-login_defs-priority2.patch,
util-linux-login_defs-SYS_UID.patch).
- Perform one-time reset of /etc/default/su (bsc#1121197).
- Integrate pam_keyinit pam module to login
(boo#1081947, login.pamd, remote.pamd).
- libmount: print a blacklist hint for "unknown filesystem type"
(jsc#SUSE-4085, fate#326832), and add documentation
* add libmount-print-a-blacklist-hint-for-unknown-filesyst.patch
* add Add-documentation-on-blacklisted-modules-to-mount-8-.patch

==== yast2 ====
Version update (4.2.18 -> 4.2.20)
Subpackages: yast2-logs

- Fix a problem when long warnings reports in command line
(bsc#1149776).
- 4.2.20
- yast completions have to be named after their respective command
name (bsc#1122259)
- 4.2.19

==== yast2-add-on ====
Version update (4.2.4 -> 4.2.6)

- Removed empty entry in desktop file (bsc#144894).
- 4.2.6
- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.5

==== yast2-alternatives ====
Version update (4.2.1 -> 4.2.2)

- Using rb_default_ruby_abi tag in the spec file in order to
handle several ruby versions (bsc#1146403).
- 4.2.2

==== yast2-bootloader ====
Version update (4.2.9 -> 4.2.10)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.10

==== yast2-firewall ====
Version update (4.2.1 -> 4.2.2)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.2

==== yast2-firstboot ====
Version update (4.2.1 -> 4.2.2)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.2

==== yast2-hardware-detection ====
Version update (4.1.0 -> 4.1.1)

- add bug number (bsc#1148310)
- Handle arch_riscv
- 4.1.1

==== yast2-installation ====
Version update (4.2.11 -> 4.2.12)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.12

==== yast2-journal ====
Version update (4.1.5 -> 4.2.2)

- Using rb_default_ruby_abi tag in the spec file in order to
handle several ruby versions (bsc#1146403).
- 4.2.2
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.1
- show more verbose message when journal can't be read (bsc#1132658)
- 4.2.0

==== yast2-kdump ====
Version update (4.2.2 -> 4.2.4)

- Removed empty entry in desktop file (bsc#144894).
- 4.2.4
- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.3

==== yast2-mail ====
Version update (4.2.1 -> 4.2.2)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.2

==== yast2-nfs-client ====
Version update (4.2.0 -> 4.2.2)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.2
- Using rb_default_ruby_abi tag in the spec file in order to
handle several ruby versions (bsc#1146403).
- 4.2.1

==== yast2-nfs-server ====
Version update (4.2.0 -> 4.2.1)
Subpackages: yast2-nfs-common

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.1

==== yast2-nis-client ====
Version update (4.2.0 -> 4.2.1)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.1

==== yast2-ntp-client ====
Version update (4.2.2 -> 4.2.3)

- Add cron BuildRequires: needed for /etc/cron.* ownership. As
those directories have special permissions it is easier/cheaper
to buildrequire cron (boo#1148950).
- 4.2.3

==== yast2-online-update ====
Version update (4.2.1 -> 4.2.2)
Subpackages: yast2-online-update-frontend

- Using rb_default_ruby_abi tag in the spec file in order to
handle several ruby versions (bsc#1146403).
- 4.2.2

==== yast2-packager ====
Version update (4.2.23 -> 4.2.24)

- Avoid error when generating some warnings (bsc#1148536).
- 4.2.24

==== yast2-ruby-bindings ====
Version update (4.2.1 -> 4.2.2)

- Using rb_default_ruby_abi tag in the spec file in order to
handle several ruby versions (bsc#1146403).
- 4.2.2

==== yast2-schema ====
Version update (4.2.1 -> 4.2.2)

- Report warning if X_SuSE_YaST_AutoInstResource has not been set
in desktop file (bsc#144894).
- 4.2.2

==== yast2-services-manager ====
Version update (4.2.3 -> 4.2.4)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.4

==== yast2-slp ====
Version update (4.1.0 -> 4.1.1)

- Using rb_default_ruby_abi tag in the spec file in order to
handle several ruby versions (bsc#1146403).
- 4.1.1

==== yast2-sound ====
Version update (4.2.1 -> 4.2.2)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.2

==== yast2-storage-ng ====
Version update (4.2.35 -> 4.2.36)

- Partitioner: display encryption type (related to jsc#SLE-7376).
- 4.2.36

==== yast2-sysconfig ====
Version update (4.2.0 -> 4.2.1)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.1

==== yast2-update ====
Version update (4.2.4 -> 4.2.5)

- Using rb_default_ruby_abi tag in the spec file in order to
handle several ruby versions (bsc#1146403).
- 4.2.5

==== yast2-users ====
Version update (4.2.4 -> 4.2.5)

- Set X-SuSE-YaST-AutoInstResource in desktop file (bsc#144894).
- 4.2.5


< Previous Next >
This Thread
  • No further messages